#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configdebugoptionsbase.ui'
**
** Created: Sat Dec 27 15:11:31 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configdebugoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigDebugOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDebugOptionsBase::ConfigDebugOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigDebugOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ConfigDebugOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigDebugOptionsBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    showDebugCheck = new QCheckBox( this, "showDebugCheck" );
    layout7->addWidget( showDebugCheck );
    spacer29_2 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer29_2 );

    ConfigDebugOptionsBaseLayout->addLayout( layout7, 0, 0 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    WriteLogCheck = new QCheckBox( this, "WriteLogCheck" );
    layout8->addWidget( WriteLogCheck );
    spacer28_4 = new QSpacerItem( 170, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer28_4 );

    ConfigDebugOptionsBaseLayout->addLayout( layout8, 1, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    spinKvpncDebugLevel = new QSpinBox( this, "spinKvpncDebugLevel" );
    spinKvpncDebugLevel->setEnabled( TRUE );
    spinKvpncDebugLevel->setMaxValue( 99 );
    spinKvpncDebugLevel->setMinValue( 0 );
    spinKvpncDebugLevel->setValue( 0 );
    layout9->addWidget( spinKvpncDebugLevel );

    textLabel1_3_2_3 = new QLabel( this, "textLabel1_3_2_3" );
    layout9->addWidget( textLabel1_3_2_3 );
    spacer28_2 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer28_2 );

    ConfigDebugOptionsBaseLayout->addLayout( layout9, 2, 0 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    KeepConnectionFilesCheckBox = new QCheckBox( this, "KeepConnectionFilesCheckBox" );
    layout10->addWidget( KeepConnectionFilesCheckBox );
    spacer31 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout10->addItem( spacer31 );

    ConfigDebugOptionsBaseLayout->addLayout( layout10, 3, 0 );
    spacer6 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigDebugOptionsBaseLayout->addItem( spacer6, 5, 0 );
    languageChange();
    resize( QSize(337, 210).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigDebugOptionsBase::~ConfigDebugOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigDebugOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Debug" ) );
    showDebugCheck->setText( tr2i18n( "S&how debug console" ) );
    showDebugCheck->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QToolTip::add( showDebugCheck, tr2i18n( "Show the debug console in main window" ) );
    QWhatsThis::add( showDebugCheck, tr2i18n( "Enable this if you want to see the debug console <br>in main KVpnc window." ) );
    WriteLogCheck->setText( tr2i18n( "Write log &file" ) );
    WriteLogCheck->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QToolTip::add( WriteLogCheck, tr2i18n( "Write logs to file: $HOME/.kde/share/apps/kvpnc/kvpnc.log" ) );
    QWhatsThis::add( WriteLogCheck, QString::null );
    QToolTip::add( spinKvpncDebugLevel, tr2i18n( "KVpnc debug level. Increase to show more <br>verbose debug output of KVpnc." ) );
    QWhatsThis::add( spinKvpncDebugLevel, tr2i18n( "Debug level of the KVpnc program. <br>Increase to show more verbose debug output of KVpnc. <br>This is helpful if you have any trouble with using KVpnc." ) );
    textLabel1_3_2_3->setText( tr2i18n( "Debug level:" ) );
    QToolTip::add( textLabel1_3_2_3, tr2i18n( "KVpnc debug level. Increase to show more <br>verbose debug output of KVpnc." ) );
    QWhatsThis::add( textLabel1_3_2_3, tr2i18n( "Debug level of the KVpnc program. <br>Increase to show more verbose debug output of KVpnc. <br>This is helpful if you have any trouble with using KVpnc." ) );
    KeepConnectionFilesCheckBox->setText( tr2i18n( "Keep connec&tion files" ) );
    KeepConnectionFilesCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( KeepConnectionFilesCheckBox, tr2i18n( "Do not remove connection config files after use" ) );
}

#include "configdebugoptionsbase.moc"
