#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './enterpassworddialogbase.ui'
**
** Created: Sat Dec 27 15:11:36 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "enterpassworddialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EnterUsernamePasswordDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EnterUsernamePasswordDialogBase::EnterUsernamePasswordDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EnterUsernamePasswordDialogBase" );
    EnterUsernamePasswordDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "EnterUsernamePasswordDialogBaseLayout"); 

    layout12 = new QVBoxLayout( 0, 0, 6, "layout12"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    layout12->addWidget( textLabel2 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    LabelUsername = new QLabel( this, "LabelUsername" );

    layout4->addWidget( LabelUsername, 0, 0 );

    LabelGroupPassword = new QLabel( this, "LabelGroupPassword" );

    layout4->addMultiCellWidget( LabelGroupPassword, 1, 1, 0, 1 );
    spacer13 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addMultiCell( spacer13, 2, 2, 1, 2 );

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout4->addWidget( PasswordEdit, 2, 3 );

    IDEdit = new QLineEdit( this, "IDEdit" );
    IDEdit->setEnabled( FALSE );
    IDEdit->setEchoMode( QLineEdit::Normal );

    layout4->addWidget( IDEdit, 3, 3 );
    spacer12 = new QSpacerItem( 88, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer12, 1, 2 );

    LabelPassword = new QLabel( this, "LabelPassword" );

    layout4->addWidget( LabelPassword, 2, 0 );
    spacer13_2_2 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addMultiCell( spacer13_2_2, 3, 3, 1, 2 );

    LabelID = new QLabel( this, "LabelID" );
    LabelID->setEnabled( FALSE );

    layout4->addWidget( LabelID, 3, 0 );

    UsernameEdit = new QLineEdit( this, "UsernameEdit" );
    UsernameEdit->setEchoMode( QLineEdit::Normal );

    layout4->addWidget( UsernameEdit, 0, 3 );

    PSKLineEdit = new QLineEdit( this, "PSKLineEdit" );
    PSKLineEdit->setEchoMode( QLineEdit::Password );

    layout4->addWidget( PSKLineEdit, 1, 3 );
    spacer13_2 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addMultiCell( spacer13_2, 0, 0, 1, 2 );
    layout5->addLayout( layout4 );

    SaveUsernameCheckBox = new QCheckBox( this, "SaveUsernameCheckBox" );
    layout5->addWidget( SaveUsernameCheckBox );

    SavePskCheckBox = new QCheckBox( this, "SavePskCheckBox" );
    layout5->addWidget( SavePskCheckBox );

    SavePasswordCheckBox = new QCheckBox( this, "SavePasswordCheckBox" );
    layout5->addWidget( SavePasswordCheckBox );
    layout6->addLayout( layout5 );
    spacer23 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout6->addItem( spacer23 );
    layout7->addLayout( layout6 );
    spacer22 = new QSpacerItem( 16, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer22 );
    layout12->addLayout( layout7 );

    EnterUsernamePasswordDialogBaseLayout->addLayout( layout12, 0, 0 );
    languageChange();
    resize( QSize(340, 260).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( UsernameEdit, PSKLineEdit );
    setTabOrder( PSKLineEdit, PasswordEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EnterUsernamePasswordDialogBase::~EnterUsernamePasswordDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EnterUsernamePasswordDialogBase::languageChange()
{
    setCaption( tr2i18n( "Enter Account Data" ) );
    textLabel2->setText( QString::null );
    LabelUsername->setText( tr2i18n( "Username:" ) );
    QToolTip::add( LabelUsername, tr2i18n( "Username for authentication" ) );
    LabelGroupPassword->setText( tr2i18n( "Pre-shared key (PSK):" ) );
    QToolTip::add( LabelGroupPassword, tr2i18n( "re-shared key for authenticat (shared secret)" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Password for authentication" ) );
    QToolTip::add( IDEdit, tr2i18n( "IPsec ID" ) );
    QWhatsThis::add( IDEdit, QString::null );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    QToolTip::add( LabelPassword, tr2i18n( "Password for authentication" ) );
    LabelID->setText( tr2i18n( "ID:" ) );
    QToolTip::add( LabelID, tr2i18n( "Username for authentication" ) );
    QToolTip::add( UsernameEdit, tr2i18n( "Username for authentication" ) );
    QWhatsThis::add( UsernameEdit, QString::null );
    QToolTip::add( PSKLineEdit, tr2i18n( "Pre-shared key for authenticat (shared secret)" ) );
    QWhatsThis::add( PSKLineEdit, tr2i18n( "Enter here the group password" ) );
    SaveUsernameCheckBox->setText( tr2i18n( "Save &username" ) );
    SaveUsernameCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( SaveUsernameCheckBox, tr2i18n( "Save username, shared secret and password <br>in config file or in KWallet" ) );
    SavePskCheckBox->setText( tr2i18n( "Save PSK" ) );
    SavePskCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( SavePskCheckBox, tr2i18n( "Save username, shared secret and password <br>in config file or in KWallet" ) );
    SavePasswordCheckBox->setText( tr2i18n( "Save password" ) );
    SavePasswordCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( SavePasswordCheckBox, tr2i18n( "Save username, shared secret and password <br>in config file or in KWallet" ) );
}

#include "enterpassworddialogbase.moc"
