#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './logviewerdialogbase.ui'
**
** Created: Sat Dec 27 15:11:42 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "logviewerdialogbase.h"

#include <qvariant.h>
#include <ktextbrowser.h>
#include <qlabel.h>
#include <knuminput.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextbrowser.h"
#include "knuminput.h"
#include "kpushbutton.h"
#include "klineedit.h"

/*
 *  Constructs a LogViewerDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LogViewerDialogBase::LogViewerDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "LogViewerDialogBase" );
    setMinimumSize( QSize( 700, 500 ) );
    LogViewerDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "LogViewerDialogBaseLayout"); 

    layout48 = new QVBoxLayout( 0, 0, 6, "layout48"); 

    LogTextBrowser = new KTextBrowser( this, "LogTextBrowser" );
    LogTextBrowser->setMinimumSize( QSize( 0, 120 ) );
    layout48->addWidget( LogTextBrowser );

    layout47 = new QHBoxLayout( 0, 0, 6, "layout47"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout47->addWidget( textLabel1 );

    LineCountIntSpinBox = new KIntSpinBox( this, "LineCountIntSpinBox" );
    LineCountIntSpinBox->setMaxValue( 100000 );
    LineCountIntSpinBox->setMinValue( 5 );
    LineCountIntSpinBox->setValue( 5 );
    layout47->addWidget( LineCountIntSpinBox );

    LineCountApplyPushButton = new KPushButton( this, "LineCountApplyPushButton" );
    layout47->addWidget( LineCountApplyPushButton );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout47->addWidget( textLabel2 );

    SearchLineEdit = new KLineEdit( this, "SearchLineEdit" );
    layout47->addWidget( SearchLineEdit );

    FindPushButton = new KPushButton( this, "FindPushButton" );
    layout47->addWidget( FindPushButton );
    layout48->addLayout( layout47 );

    LogViewerDialogBaseLayout->addLayout( layout48, 0, 0 );
    languageChange();
    resize( QSize(700, 586).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LogViewerDialogBase::~LogViewerDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LogViewerDialogBase::languageChange()
{
    setCaption( tr2i18n( "Log" ) );
    QToolTip::add( LogTextBrowser, QString::null );
    textLabel1->setText( tr2i18n( "Line count from end:" ) );
    LineCountApplyPushButton->setText( tr2i18n( "up&date" ) );
    LineCountApplyPushButton->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    textLabel2->setText( tr2i18n( "|" ) );
    FindPushButton->setText( tr2i18n( "&find" ) );
    FindPushButton->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
}

#include "logviewerdialogbase.moc"
