#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './mainviewbase.ui'
**
** Created: Sat Dec 27 15:11:43 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "mainviewbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"

/*
 *  Constructs a MainViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MainViewBase::MainViewBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MainViewBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    MainViewBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "MainViewBaseLayout"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout4->addWidget( textLabel1 );

    SessionCombo = new KComboBox( FALSE, this, "SessionCombo" );
    SessionCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, SessionCombo->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( SessionCombo );

    buttonConnect = new QPushButton( this, "buttonConnect" );
    buttonConnect->setAutoDefault( TRUE );
    buttonConnect->setDefault( TRUE );
    layout4->addWidget( buttonConnect );

    buttonDisconnect = new QPushButton( this, "buttonDisconnect" );
    buttonDisconnect->setAutoDefault( TRUE );
    layout4->addWidget( buttonDisconnect );

    MainViewBaseLayout->addLayout( layout4, 0, 0 );
    spacer1 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    MainViewBaseLayout->addItem( spacer1, 1, 0 );
    languageChange();
    resize( QSize(407, 58).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( SessionCombo, buttonConnect );
    setTabOrder( buttonConnect, buttonDisconnect );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainViewBase::~MainViewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainViewBase::languageChange()
{
    setCaption( tr2i18n( "KVpnc" ) );
    textLabel1->setText( tr2i18n( "<font size=\"+1\"><b>Profile:</b></font>" ) );
    QToolTip::add( SessionCombo, tr2i18n( "Name of the current profile" ) );
    QWhatsThis::add( SessionCombo, tr2i18n( "Here you can select the profile to use for connection." ) );
    buttonConnect->setText( tr2i18n( "Connec&t" ) );
    buttonConnect->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( buttonConnect, tr2i18n( "Click to establish connection for selected profile" ) );
    QWhatsThis::add( buttonConnect, tr2i18n( "Connect button" ) );
    buttonDisconnect->setText( tr2i18n( "&Disconnect" ) );
    buttonDisconnect->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QToolTip::add( buttonDisconnect, tr2i18n( "Click for disconnect the current connection" ) );
    QWhatsThis::add( buttonDisconnect, tr2i18n( "Disconnect button" ) );
}

void MainViewBase::advancedClicked()
{
    qWarning( "MainViewBase::advancedClicked(): Not implemented yet" );
}

#include "mainviewbase.moc"
