#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardciscomanually.ui'
**
** Created: Sat Dec 27 15:11:48 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardciscomanually.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a NewProfileWizardCiscoManually as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardCiscoManually::NewProfileWizardCiscoManually( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardCiscoManually" );
    NewProfileWizardCiscoManuallyLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardCiscoManuallyLayout"); 
    spacer25 = new QSpacerItem( 20, 71, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NewProfileWizardCiscoManuallyLayout->addItem( spacer25, 1, 0 );

    layout24 = new QGridLayout( 0, 1, 1, 0, 6, "layout24"); 
    spacer37 = new QSpacerItem( 171, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout24->addMultiCell( spacer37, 2, 2, 1, 2 );

    CheckSavePsk = new QCheckBox( this, "CheckSavePsk" );

    layout24->addWidget( CheckSavePsk, 2, 0 );
    spacer38 = new QSpacerItem( 111, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout24->addItem( spacer38, 3, 2 );

    textLabel3 = new QLabel( this, "textLabel3" );

    layout24->addMultiCellWidget( textLabel3, 0, 0, 0, 2 );

    AllowEmptyGroupPasswordCheckBox = new QCheckBox( this, "AllowEmptyGroupPasswordCheckBox" );

    layout24->addMultiCellWidget( AllowEmptyGroupPasswordCheckBox, 3, 3, 0, 1 );

    layout12 = new QGridLayout( 0, 1, 1, 0, 6, "layout12"); 

    IDLineEdit = new KLineEdit( this, "IDLineEdit" );

    layout12->addWidget( IDLineEdit, 0, 2 );

    LabelID = new QLabel( this, "LabelID" );

    layout12->addWidget( LabelID, 0, 0 );

    GroupPasswordLineEdit = new KLineEdit( this, "GroupPasswordLineEdit" );
    GroupPasswordLineEdit->setEchoMode( KLineEdit::Password );

    layout12->addWidget( GroupPasswordLineEdit, 3, 2 );
    spacer18 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer18, 3, 1 );
    spacer15 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer15, 0, 1 );

    LabelPsk = new QLabel( this, "LabelPsk" );
    LabelPsk->setEnabled( TRUE );

    layout12->addWidget( LabelPsk, 3, 0 );

    layout24->addMultiCellLayout( layout12, 1, 1, 0, 2 );

    NewProfileWizardCiscoManuallyLayout->addLayout( layout24, 0, 0 );
    spacer24_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NewProfileWizardCiscoManuallyLayout->addItem( spacer24_2, 0, 1 );
    languageChange();
    resize( QSize(373, 181).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( IDLineEdit, GroupPasswordLineEdit );
    setTabOrder( GroupPasswordLineEdit, CheckSavePsk );
    setTabOrder( CheckSavePsk, AllowEmptyGroupPasswordCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardCiscoManually::~NewProfileWizardCiscoManually()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardCiscoManually::languageChange()
{
    setCaption( tr2i18n( "New profile wizard cisco" ) );
    CheckSavePsk->setText( tr2i18n( "Save group &password" ) );
    CheckSavePsk->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QToolTip::add( CheckSavePsk, tr2i18n( "Save the group password in config file (or in KWallet if available)" ) );
    textLabel3->setText( tr2i18n( "Cisco specific settings" ) );
    AllowEmptyGroupPasswordCheckBox->setText( tr2i18n( "A&llow empty group password (insecure!)" ) );
    AllowEmptyGroupPasswordCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( AllowEmptyGroupPasswordCheckBox, tr2i18n( "Allow an empty group password (not recommended, insecure)" ) );
    QToolTip::add( IDLineEdit, tr2i18n( "IPSec ID of the remote side" ) );
    QWhatsThis::add( IDLineEdit, QString::null );
    LabelID->setText( tr2i18n( "IPSec ID:" ) );
    QToolTip::add( GroupPasswordLineEdit, tr2i18n( "Group password for remote side" ) );
    LabelPsk->setText( tr2i18n( "Group password:" ) );
}

#include "newprofilewizardciscomanually.moc"
