#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardconnectionstatuscheck.ui'
**
** Created: Sat Dec 27 15:11:49 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardconnectionstatuscheck.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <kactivelabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"
#include "kactivelabel.h"
#include "klineedit.h"

/*
 *  Constructs a NewProfileWizardConnectionStatusCheck as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardConnectionStatusCheck::NewProfileWizardConnectionStatusCheck( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardConnectionStatusCheck" );
    NewProfileWizardConnectionStatusCheckLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardConnectionStatusCheckLayout"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    UseConnectionStatusCheckCheckBox = new QCheckBox( this, "UseConnectionStatusCheckCheckBox" );
    UseConnectionStatusCheckCheckBox->setEnabled( TRUE );
    UseConnectionStatusCheckCheckBox->setChecked( TRUE );
    layout6->addWidget( UseConnectionStatusCheckCheckBox );
    spacer8_2 = new QSpacerItem( 241, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( spacer8_2 );
    layout8->addLayout( layout6 );

    layout5 = new QGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    ConnectionStatusSuccessCountNumInput = new KIntNumInput( this, "ConnectionStatusSuccessCountNumInput" );
    ConnectionStatusSuccessCountNumInput->setValue( 4 );
    ConnectionStatusSuccessCountNumInput->setMinValue( 1 );
    ConnectionStatusSuccessCountNumInput->setMaxValue( 10 );

    layout5->addWidget( ConnectionStatusSuccessCountNumInput, 1, 2 );

    ConnectionStatusCheckIntervalNumInput = new KIntNumInput( this, "ConnectionStatusCheckIntervalNumInput" );
    ConnectionStatusCheckIntervalNumInput->setMinValue( 1 );
    ConnectionStatusCheckIntervalNumInput->setMaxValue( 120 );

    layout5->addWidget( ConnectionStatusCheckIntervalNumInput, 0, 2 );
    spacer9 = new QSpacerItem( 180, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer9, 1, 1 );

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );

    layout5->addWidget( kActiveLabel1, 1, 0 );
    spacer8 = new QSpacerItem( 290, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer8, 0, 1 );

    kActiveLabel2 = new KActiveLabel( this, "kActiveLabel2" );

    layout5->addWidget( kActiveLabel2, 0, 0 );
    layout8->addLayout( layout5 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    DoReconnectAfterConnectionLostCheckBox = new QCheckBox( this, "DoReconnectAfterConnectionLostCheckBox" );
    DoReconnectAfterConnectionLostCheckBox->setEnabled( TRUE );
    DoReconnectAfterConnectionLostCheckBox->setChecked( TRUE );
    layout7->addWidget( DoReconnectAfterConnectionLostCheckBox );
    spacer9_2 = new QSpacerItem( 201, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer9_2 );
    layout8->addLayout( layout7 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    PingUserdefiniedAddressCheckBox = new QCheckBox( this, "PingUserdefiniedAddressCheckBox" );
    PingUserdefiniedAddressCheckBox->setBackgroundOrigin( QCheckBox::WidgetOrigin );
    layout4->addWidget( PingUserdefiniedAddressCheckBox );

    UserdefiniedPingIPLineEdit = new KLineEdit( this, "UserdefiniedPingIPLineEdit" );
    UserdefiniedPingIPLineEdit->setEnabled( FALSE );
    UserdefiniedPingIPLineEdit->setEchoMode( KLineEdit::Normal );
    layout4->addWidget( UserdefiniedPingIPLineEdit );
    layout8->addLayout( layout4 );

    NewProfileWizardConnectionStatusCheckLayout->addLayout( layout8, 0, 0 );
    spacer14 = new QSpacerItem( 201, 41, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NewProfileWizardConnectionStatusCheckLayout->addItem( spacer14, 0, 1 );
    spacer15 = new QSpacerItem( 20, 121, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NewProfileWizardConnectionStatusCheckLayout->addItem( spacer15, 1, 0 );
    languageChange();
    resize( QSize(361, 218).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( UseConnectionStatusCheckCheckBox, kActiveLabel2 );
    setTabOrder( kActiveLabel2, ConnectionStatusCheckIntervalNumInput );
    setTabOrder( ConnectionStatusCheckIntervalNumInput, kActiveLabel1 );
    setTabOrder( kActiveLabel1, ConnectionStatusSuccessCountNumInput );
    setTabOrder( ConnectionStatusSuccessCountNumInput, DoReconnectAfterConnectionLostCheckBox );
    setTabOrder( DoReconnectAfterConnectionLostCheckBox, PingUserdefiniedAddressCheckBox );
    setTabOrder( PingUserdefiniedAddressCheckBox, UserdefiniedPingIPLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardConnectionStatusCheck::~NewProfileWizardConnectionStatusCheck()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardConnectionStatusCheck::languageChange()
{
    setCaption( tr2i18n( "Connection status check" ) );
    UseConnectionStatusCheckCheckBox->setText( tr2i18n( "Use connection status c&heck" ) );
    UseConnectionStatusCheckCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QToolTip::add( UseConnectionStatusCheckCheckBox, tr2i18n( "Test if the connection is allive by pinging the gateway" ) );
    QWhatsThis::add( UseConnectionStatusCheckCheckBox, tr2i18n( "If checked, the connection status check will be enabled. The parameters below <br>control how often the gateway will be pinged. It must be minimal success in a count.<br>Example: interval: 1, success count: 4, means that 4 pings will be done and minimal one <br>must be success for keep the connection alive. The delay between the pings are 1 second." ) );
    kActiveLabel1->setText( tr2i18n( "Success count:" ) );
    kActiveLabel2->setText( tr2i18n( "Interval:" ) );
    DoReconnectAfterConnectionLostCheckBox->setText( tr2i18n( "Reconnect after connection &lost" ) );
    DoReconnectAfterConnectionLostCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( DoReconnectAfterConnectionLostCheckBox, tr2i18n( "Reconnect automatically after the connection is lost" ) );
    QWhatsThis::add( DoReconnectAfterConnectionLostCheckBox, QString::null );
    PingUserdefiniedAddressCheckBox->setText( tr2i18n( "Use specified &address to ping:" ) );
    PingUserdefiniedAddressCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QToolTip::add( PingUserdefiniedAddressCheckBox, tr2i18n( "Use specified address instead the gateway address <br>to test the connection status" ) );
    QToolTip::add( UserdefiniedPingIPLineEdit, tr2i18n( "IP address for ping test" ) );
    QWhatsThis::add( UserdefiniedPingIPLineEdit, tr2i18n( "This is the IP address which should be tested." ) );
}

#include "newprofilewizardconnectionstatuscheck.moc"
