#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardp12certselection.ui'
**
** Created: Sat Dec 27 15:11:57 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardp12certselection.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NewProfileWizardP12CertSelection as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardP12CertSelection::NewProfileWizardP12CertSelection( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardP12CertSelection" );
    NewProfileWizardP12CertSelectionLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardP12CertSelectionLayout"); 

    layout81 = new QHBoxLayout( 0, 0, 6, "layout81"); 

    layout80 = new QVBoxLayout( 0, 0, 6, "layout80"); 

    UseSmartcardCheckBox = new QCheckBox( this, "UseSmartcardCheckBox" );
    layout80->addWidget( UseSmartcardCheckBox );

    P12Group = new QButtonGroup( this, "P12Group" );
    P12Group->setColumnLayout(0, Qt::Vertical );
    P12Group->layout()->setSpacing( 6 );
    P12Group->layout()->setMargin( 11 );
    P12GroupLayout = new QGridLayout( P12Group->layout() );
    P12GroupLayout->setAlignment( Qt::AlignTop );

    P12CertNoRadioButton = new QRadioButton( P12Group, "P12CertNoRadioButton" );

    P12GroupLayout->addWidget( P12CertNoRadioButton, 1, 0 );

    P12CertYesRadioButton = new QRadioButton( P12Group, "P12CertYesRadioButton" );
    P12CertYesRadioButton->setChecked( TRUE );

    P12GroupLayout->addWidget( P12CertYesRadioButton, 0, 0 );
    layout80->addWidget( P12Group );
    spacer73 = new QSpacerItem( 20, 160, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout80->addItem( spacer73 );
    layout81->addLayout( layout80 );
    spacer72 = new QSpacerItem( 111, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout81->addItem( spacer72 );

    NewProfileWizardP12CertSelectionLayout->addLayout( layout81, 0, 0 );
    languageChange();
    resize( QSize(280, 158).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardP12CertSelection::~NewProfileWizardP12CertSelection()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardP12CertSelection::languageChange()
{
    setCaption( tr2i18n( "P12 certificate selection" ) );
    UseSmartcardCheckBox->setText( tr2i18n( "Enable PKCS11 s&martcard support" ) );
    UseSmartcardCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( UseSmartcardCheckBox, QString::null );
    P12Group->setTitle( tr2i18n( "Certificate in PKCS12 format?" ) );
    QToolTip::add( P12Group, tr2i18n( "Choose yes, if you have a file named: *.p12. It will be converted for use with KVpnc." ) );
    P12CertNoRadioButton->setText( tr2i18n( "&No" ) );
    P12CertNoRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    P12CertYesRadioButton->setText( tr2i18n( "&Yes" ) );
    P12CertYesRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
}

#include "newprofilewizardp12certselection.moc"
