#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilecmdexecbeforeconnectoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:07 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilecmdexecbeforeconnectoptionsbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"

/*
 *  Constructs a ProfileCmdExecBeforeConnectOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCmdExecBeforeConnectOptionsBase::ProfileCmdExecBeforeConnectOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCmdExecBeforeConnectOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileCmdExecBeforeConnectOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCmdExecBeforeConnectOptionsBaseLayout"); 

    ExcuteCmdBeforeConnectCheckBox = new QCheckBox( this, "ExcuteCmdBeforeConnectCheckBox" );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addMultiCellWidget( ExcuteCmdBeforeConnectCheckBox, 1, 1, 0, 2 );

    CmdBeforeConnectTextEdit = new KTextEdit( this, "CmdBeforeConnectTextEdit" );
    CmdBeforeConnectTextEdit->setEnabled( FALSE );
    CmdBeforeConnectTextEdit->setMinimumSize( QSize( 0, 300 ) );
    CmdBeforeConnectTextEdit->setCursor( QCursor( 0 ) );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addMultiCellWidget( CmdBeforeConnectTextEdit, 2, 2, 0, 2 );
    languageChange();
    resize( QSize(518, 458).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ExcuteCmdBeforeConnectCheckBox, SIGNAL( toggled(bool) ), this, SLOT( execCmdBeforeConnectToggled(bool) ) );

    // tab order
    setTabOrder( ExcuteCmdBeforeConnectCheckBox, CmdBeforeConnectTextEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCmdExecBeforeConnectOptionsBase::~ProfileCmdExecBeforeConnectOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCmdExecBeforeConnectOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Command Execution Before Connect" ) );
    ExcuteCmdBeforeConnectCheckBox->setText( tr2i18n( "Execu&te command before connect" ) );
    ExcuteCmdBeforeConnectCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( ExcuteCmdBeforeConnectCheckBox, tr2i18n( "Execute specified commands before connect" ) );
    QWhatsThis::add( ExcuteCmdBeforeConnectCheckBox, tr2i18n( "Check this to execute specified command before every successful connect." ) );
    QToolTip::add( CmdBeforeConnectTextEdit, tr2i18n( "Command to execute before connect" ) );
    QWhatsThis::add( CmdBeforeConnectTextEdit, tr2i18n( "Command to execute before connect. <br>Normal shell commands are accepted." ) );
}

void ProfileCmdExecBeforeConnectOptionsBase::execCmdBeforeConnectToggled(bool)
{
    qWarning( "ProfileCmdExecBeforeConnectOptionsBase::execCmdBeforeConnectToggled(bool): Not implemented yet" );
}

#include "profilecmdexecbeforeconnectoptionsbase.moc"
