#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilepptpoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilepptpoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a ProfilePptpOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfilePptpOptionsBase::ProfilePptpOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfilePptpOptionsBase" );
    ProfilePptpOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfilePptpOptionsBaseLayout"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    DnsGroupBox = new QGroupBox( this, "DnsGroupBox" );
    DnsGroupBox->setColumnLayout(0, Qt::Vertical );
    DnsGroupBox->layout()->setSpacing( 6 );
    DnsGroupBox->layout()->setMargin( 11 );
    DnsGroupBoxLayout = new QGridLayout( DnsGroupBox->layout() );
    DnsGroupBoxLayout->setAlignment( Qt::AlignTop );

    DnsServerCheckbox = new QCheckBox( DnsGroupBox, "DnsServerCheckbox" );

    DnsGroupBoxLayout->addWidget( DnsServerCheckbox, 0, 0 );

    SearchDomainInResolvConfLineedit = new KLineEdit( DnsGroupBox, "SearchDomainInResolvConfLineedit" );
    SearchDomainInResolvConfLineedit->setEnabled( FALSE );

    DnsGroupBoxLayout->addWidget( SearchDomainInResolvConfLineedit, 1, 1 );

    UseSearchDomainInResolvConfCheckbox = new QCheckBox( DnsGroupBox, "UseSearchDomainInResolvConfCheckbox" );

    DnsGroupBoxLayout->addWidget( UseSearchDomainInResolvConfCheckbox, 1, 0 );

    DnsServerLineedit = new KLineEdit( DnsGroupBox, "DnsServerLineedit" );
    DnsServerLineedit->setEnabled( FALSE );

    DnsGroupBoxLayout->addWidget( DnsServerLineedit, 0, 1 );
    layout8->addWidget( DnsGroupBox );

    PppOptionsGroupBox = new QGroupBox( this, "PppOptionsGroupBox" );
    PppOptionsGroupBox->setColumnLayout(0, Qt::Vertical );
    PppOptionsGroupBox->layout()->setSpacing( 6 );
    PppOptionsGroupBox->layout()->setMargin( 11 );
    PppOptionsGroupBoxLayout = new QGridLayout( PppOptionsGroupBox->layout() );
    PppOptionsGroupBoxLayout->setAlignment( Qt::AlignTop );

    DisableCcpCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableCcpCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableCcpCheckbox, 2, 1 );

    UseNoDeflateCheckbox = new QCheckBox( PppOptionsGroupBox, "UseNoDeflateCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( UseNoDeflateCheckbox, 1, 1 );

    DisableProtocolFieldCompressionCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableProtocolFieldCompressionCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableProtocolFieldCompressionCheckbox, 4, 0 );

    DisableAdressControlCompressionCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableAdressControlCompressionCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableAdressControlCompressionCheckbox, 4, 1 );

    UseNoBsdCompCheckbox = new QCheckBox( PppOptionsGroupBox, "UseNoBsdCompCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( UseNoBsdCompCheckbox, 1, 0 );

    UseNoIpDefaultCheckbox = new QCheckBox( PppOptionsGroupBox, "UseNoIpDefaultCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( UseNoIpDefaultCheckbox, 2, 0 );

    DisableMagicNumberNegotiationCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableMagicNumberNegotiationCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableMagicNumberNegotiationCheckbox, 3, 1 );

    DisableHeaderCompressionCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableHeaderCompressionCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableHeaderCompressionCheckbox, 3, 0 );

    DisableIpxCheckbox = new QCheckBox( PppOptionsGroupBox, "DisableIpxCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( DisableIpxCheckbox, 0, 1 );

    GetDnsFromPeerCheckbox = new QCheckBox( PppOptionsGroupBox, "GetDnsFromPeerCheckbox" );

    PppOptionsGroupBoxLayout->addWidget( GetDnsFromPeerCheckbox, 0, 0 );
    layout8->addWidget( PppOptionsGroupBox );

    MppeOptionsGroupBox = new QGroupBox( this, "MppeOptionsGroupBox" );
    MppeOptionsGroupBox->setColumnLayout(0, Qt::Vertical );
    MppeOptionsGroupBox->layout()->setSpacing( 6 );
    MppeOptionsGroupBox->layout()->setMargin( 11 );
    MppeOptionsGroupBoxLayout = new QGridLayout( MppeOptionsGroupBox->layout() );
    MppeOptionsGroupBoxLayout->setAlignment( Qt::AlignTop );

    RequireMppeCheckbox = new QCheckBox( MppeOptionsGroupBox, "RequireMppeCheckbox" );

    MppeOptionsGroupBoxLayout->addWidget( RequireMppeCheckbox, 0, 0 );

    Refuse40BitEncryptionCheckbox = new QCheckBox( MppeOptionsGroupBox, "Refuse40BitEncryptionCheckbox" );

    MppeOptionsGroupBoxLayout->addMultiCellWidget( Refuse40BitEncryptionCheckbox, 1, 2, 0, 1 );

    Refuse128BitEncryptionCheckbox = new QCheckBox( MppeOptionsGroupBox, "Refuse128BitEncryptionCheckbox" );

    MppeOptionsGroupBoxLayout->addWidget( Refuse128BitEncryptionCheckbox, 3, 0 );

    AllowStatefulModeCheckbox = new QCheckBox( MppeOptionsGroupBox, "AllowStatefulModeCheckbox" );

    MppeOptionsGroupBoxLayout->addWidget( AllowStatefulModeCheckbox, 0, 1 );

    UseNoMPPECompressionCheckbox = new QCheckBox( MppeOptionsGroupBox, "UseNoMPPECompressionCheckbox" );

    MppeOptionsGroupBoxLayout->addMultiCellWidget( UseNoMPPECompressionCheckbox, 2, 3, 1, 1 );
    layout8->addWidget( MppeOptionsGroupBox );

    AuthGroupBox = new QGroupBox( this, "AuthGroupBox" );
    AuthGroupBox->setColumnLayout(0, Qt::Vertical );
    AuthGroupBox->layout()->setSpacing( 6 );
    AuthGroupBox->layout()->setMargin( 11 );
    AuthGroupBoxLayout = new QGridLayout( AuthGroupBox->layout() );
    AuthGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout8_2 = new QHBoxLayout( 0, 0, 6, "layout8_2"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1 = new QLabel( AuthGroupBox, "textLabel1" );
    layout7->addWidget( textLabel1 );

    AuthMethodComboBox = new KComboBox( FALSE, AuthGroupBox, "AuthMethodComboBox" );
    layout7->addWidget( AuthMethodComboBox );
    layout8_2->addLayout( layout7 );

    RequireEapCheckbox = new QCheckBox( AuthGroupBox, "RequireEapCheckbox" );
    layout8_2->addWidget( RequireEapCheckbox );

    AuthGroupBoxLayout->addLayout( layout8_2, 0, 0 );
    layout8->addWidget( AuthGroupBox );

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    layout6->addWidget( textLabel1_2 );
    spacer4 = new QSpacerItem( 111, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( spacer4 );
    layout7_2->addLayout( layout6 );

    L2tpDaemonComboBox = new KComboBox( FALSE, this, "L2tpDaemonComboBox" );
    layout7_2->addWidget( L2tpDaemonComboBox );
    layout8->addLayout( layout7_2 );
    spacer3 = new QSpacerItem( 20, 27, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout8->addItem( spacer3 );
    layout9->addLayout( layout8 );
    spacer11 = new QSpacerItem( 16, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer11 );

    ProfilePptpOptionsBaseLayout->addLayout( layout9, 0, 0 );
    languageChange();
    resize( QSize(564, 631).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( DnsServerCheckbox, SIGNAL( toggled(bool) ), this, SLOT( useDnsServerToggled(bool) ) );
    connect( UseSearchDomainInResolvConfCheckbox, SIGNAL( toggled(bool) ), this, SLOT( useSearchDomainInResolvConfToggled(bool) ) );

    // tab order
    setTabOrder( DnsServerCheckbox, DnsServerLineedit );
    setTabOrder( DnsServerLineedit, Refuse40BitEncryptionCheckbox );
    setTabOrder( Refuse40BitEncryptionCheckbox, Refuse128BitEncryptionCheckbox );
    setTabOrder( Refuse128BitEncryptionCheckbox, RequireMppeCheckbox );
    setTabOrder( RequireMppeCheckbox, AllowStatefulModeCheckbox );
    setTabOrder( AllowStatefulModeCheckbox, GetDnsFromPeerCheckbox );
    setTabOrder( GetDnsFromPeerCheckbox, UseNoBsdCompCheckbox );
    setTabOrder( UseNoBsdCompCheckbox, UseNoDeflateCheckbox );
    setTabOrder( UseNoDeflateCheckbox, UseNoIpDefaultCheckbox );
    setTabOrder( UseNoIpDefaultCheckbox, UseNoMPPECompressionCheckbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfilePptpOptionsBase::~ProfilePptpOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfilePptpOptionsBase::languageChange()
{
    setCaption( tr2i18n( "PPTP/L2TP" ) );
    DnsGroupBox->setTitle( tr2i18n( "DNS options" ) );
    DnsServerCheckbox->setText( tr2i18n( "Use specified DNS server:" ) );
    QToolTip::add( DnsServerCheckbox, tr2i18n( "Use specified DNS server instead of retrieved from peer" ) );
    SearchDomainInResolvConfLineedit->setText( QString::null );
    QToolTip::add( SearchDomainInResolvConfLineedit, tr2i18n( "IP address of the DNS server (no hostname)" ) );
    UseSearchDomainInResolvConfCheckbox->setText( tr2i18n( "Use specified DNS search domain:" ) );
    QToolTip::add( UseSearchDomainInResolvConfCheckbox, tr2i18n( "Use specified DNS server instead of retrieved from peer" ) );
    DnsServerLineedit->setText( QString::null );
    QToolTip::add( DnsServerLineedit, tr2i18n( "IP address of the DNS server (no hostname)" ) );
    PppOptionsGroupBox->setTitle( tr2i18n( "PPP options" ) );
    DisableCcpCheckbox->setText( tr2i18n( "Disable CCP negotiation" ) );
    DisableCcpCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableCcpCheckbox, tr2i18n( "Disable Compression Control Protocol negotiation" ) );
    QWhatsThis::add( DisableCcpCheckbox, tr2i18n( "Check to disabe CCP (Compression Control Protocol) negotiation. This option should only be required if the peer is buggy and gets confused by requests from pppd for CCP negotiation." ) );
    UseNoDeflateCheckbox->setText( tr2i18n( "Do not use deflate met&hod" ) );
    UseNoDeflateCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QToolTip::add( UseNoDeflateCheckbox, tr2i18n( "Do not use deflate decompression method (disabled by default)" ) );
    DisableProtocolFieldCompressionCheckbox->setText( tr2i18n( "Disable protocol field compression" ) );
    DisableProtocolFieldCompressionCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableProtocolFieldCompressionCheckbox, tr2i18n( "Disable protocol field compression negotiation" ) );
    QWhatsThis::add( DisableProtocolFieldCompressionCheckbox, tr2i18n( "Disable protocol field compression negotiation in both the receive and the transmit direction" ) );
    DisableAdressControlCompressionCheckbox->setText( tr2i18n( "Disable adress control compression" ) );
    DisableAdressControlCompressionCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableAdressControlCompressionCheckbox, tr2i18n( "Disable Address/Control compression in both directions" ) );
    QWhatsThis::add( DisableAdressControlCompressionCheckbox, tr2i18n( "Disable Address/Control compression in both directions (send and receive)." ) );
    UseNoBsdCompCheckbox->setText( tr2i18n( "Do not use BSD compression" ) );
    UseNoBsdCompCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( UseNoBsdCompCheckbox, tr2i18n( "Do not use BSD compression (disabled by default)" ) );
    UseNoIpDefaultCheckbox->setText( tr2i18n( "Use no IP b&y default" ) );
    UseNoIpDefaultCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    DisableMagicNumberNegotiationCheckbox->setText( tr2i18n( "Disable magic number negotiation" ) );
    DisableMagicNumberNegotiationCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableMagicNumberNegotiationCheckbox, tr2i18n( "Disables the magic number negotiation" ) );
    QWhatsThis::add( DisableMagicNumberNegotiationCheckbox, tr2i18n( "Disable magic number negotiation. With this option, pppd cannot detect a looped-back line. This option should only be needed if the peer is buggy." ) );
    DisableHeaderCompressionCheckbox->setText( tr2i18n( "Disable TCP/IP header compression" ) );
    DisableHeaderCompressionCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableHeaderCompressionCheckbox, tr2i18n( "Disables the Van Jacobson style TCP/IP header compression" ) );
    QWhatsThis::add( DisableHeaderCompressionCheckbox, tr2i18n( "Disables the Van Jacobson style TCP/IP header compression in both the transmit and the receive direction." ) );
    DisableIpxCheckbox->setText( tr2i18n( "Disable IPX" ) );
    DisableIpxCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableIpxCheckbox, tr2i18n( "Disables the IPXCP and IPX protocols" ) );
    QWhatsThis::add( DisableIpxCheckbox, tr2i18n( "Disables the IPXCP and IPX protocols. This option should only be required if the peer is buggy and gets confused by requests from pppd for IPXCP negotiation." ) );
    GetDnsFromPeerCheckbox->setText( tr2i18n( "Get DNS server &from peer" ) );
    GetDnsFromPeerCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QToolTip::add( GetDnsFromPeerCheckbox, tr2i18n( "Check this for retrieve DNS server from peer" ) );
    MppeOptionsGroupBox->setTitle( tr2i18n( "MPPE options" ) );
    RequireMppeCheckbox->setText( tr2i18n( "Re&quire MPPE" ) );
    RequireMppeCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( RequireMppeCheckbox, tr2i18n( "Require Microsoft Point-To-Point Encrpytion (enabled by default)" ) );
    Refuse40BitEncryptionCheckbox->setText( tr2i18n( "Refuse 4&0 bit encryption" ) );
    Refuse40BitEncryptionCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+0" ) ) );
    QToolTip::add( Refuse40BitEncryptionCheckbox, tr2i18n( "Refuse 40 bit length encryption of MPPE" ) );
    Refuse128BitEncryptionCheckbox->setText( tr2i18n( "Refuse &128 bit encryption" ) );
    Refuse128BitEncryptionCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    QToolTip::add( Refuse128BitEncryptionCheckbox, tr2i18n( "Refuse 128 bit length encryption of MPPE" ) );
    AllowStatefulModeCheckbox->setText( tr2i18n( "A&llow MPPE stateful mode" ) );
    AllowStatefulModeCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( AllowStatefulModeCheckbox, tr2i18n( "Check this for allow stateful mode of MPPE" ) );
    UseNoMPPECompressionCheckbox->setText( tr2i18n( "Do not use &MPPC compression" ) );
    UseNoMPPECompressionCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( UseNoMPPECompressionCheckbox, tr2i18n( "Do not use the Microsoft Poit-To-Point Compression protocol. <br>I.e. for compatibility with watchguard firebox (disabled by default)" ) );
    QWhatsThis::add( UseNoMPPECompressionCheckbox, tr2i18n( "Check this for disable Microsoft Point-to-Point Compression (MPPC) (i.e. for compatibility with watchguard firebox)." ) );
    AuthGroupBox->setTitle( tr2i18n( "Authentication" ) );
    textLabel1->setText( tr2i18n( "Authorization method:" ) );
    RequireEapCheckbox->setText( tr2i18n( "Re&quire EAP" ) );
    RequireEapCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( RequireEapCheckbox, tr2i18n( "Require EAP (disabled by default), should be disabled" ) );
    textLabel1_2->setText( tr2i18n( "L2TP daemon" ) );
    L2tpDaemonComboBox->clear();
    L2tpDaemonComboBox->insertItem( tr2i18n( "l2tpd/xl2tpd" ) );
    L2tpDaemonComboBox->insertItem( tr2i18n( "openl2tp" ) );
}

void ProfilePptpOptionsBase::mtuToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::mtuToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::useDnsServerToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::useDnsServerToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::keepDefaultRouteToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::keepDefaultRouteToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::useNtDomainNameToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::useNtDomainNameToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::useSearchDomainInResolvConfToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::useSearchDomainInResolvConfToggled(bool): Not implemented yet" );
}

#include "profilepptpoptionsbase.moc"
