#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilesmartcardoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:19 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilesmartcardoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "kpushbutton.h"
#include "kurlrequester.h"
#include "klineedit.h"

/*
 *  Constructs a ProfileSmartcardOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileSmartcardOptionsBase::ProfileSmartcardOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileSmartcardOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileSmartcardOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileSmartcardOptionsBaseLayout"); 

    layout157 = new QHBoxLayout( 0, 0, 6, "layout157"); 

    layout156 = new QVBoxLayout( 0, 0, 6, "layout156"); 

    layout155 = new QVBoxLayout( 0, 0, 6, "layout155"); 

    layout154 = new QHBoxLayout( 0, 0, 6, "layout154"); 

    UseSmartcardCheckBox = new QCheckBox( this, "UseSmartcardCheckBox" );
    layout154->addWidget( UseSmartcardCheckBox );
    spacer48 = new QSpacerItem( 210, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout154->addItem( spacer48 );
    layout155->addLayout( layout154 );

    layout41 = new QHBoxLayout( 0, 0, 6, "layout41"); 
    layout155->addLayout( layout41 );

    SmartcardGroupBox = new QGroupBox( this, "SmartcardGroupBox" );
    SmartcardGroupBox->setEnabled( FALSE );
    SmartcardGroupBox->setColumnLayout(0, Qt::Vertical );
    SmartcardGroupBox->layout()->setSpacing( 6 );
    SmartcardGroupBox->layout()->setMargin( 11 );
    SmartcardGroupBoxLayout = new QVBoxLayout( SmartcardGroupBox->layout() );
    SmartcardGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout56 = new QVBoxLayout( 0, 0, 6, "layout56"); 

    layout24 = new QHBoxLayout( 0, 0, 6, "layout24"); 

    layout23 = new QGridLayout( 0, 1, 1, 0, 6, "layout23"); 

    Pkcs11SlotTypeLabel = new QLabel( SmartcardGroupBox, "Pkcs11SlotTypeLabel" );

    layout23->addWidget( Pkcs11SlotTypeLabel, 0, 0 );

    Pkcs11SignModeComboBox = new KComboBox( FALSE, SmartcardGroupBox, "Pkcs11SignModeComboBox" );

    layout23->addWidget( Pkcs11SignModeComboBox, 1, 2 );

    Pkcs11SlotTypeComboBox = new KComboBox( FALSE, SmartcardGroupBox, "Pkcs11SlotTypeComboBox" );
    Pkcs11SlotTypeComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, Pkcs11SlotTypeComboBox->sizePolicy().hasHeightForWidth() ) );

    layout23->addMultiCellWidget( Pkcs11SlotTypeComboBox, 0, 0, 1, 2 );

    textLabel5 = new QLabel( SmartcardGroupBox, "textLabel5" );

    layout23->addMultiCellWidget( textLabel5, 1, 1, 0, 1 );
    layout24->addLayout( layout23 );

    layout22 = new QGridLayout( 0, 1, 1, 0, 6, "layout22"); 
    spacer20 = new QSpacerItem( 241, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout22->addMultiCell( spacer20, 1, 1, 0, 1 );

    Pkcs11IdTypeComboBox = new KComboBox( FALSE, SmartcardGroupBox, "Pkcs11IdTypeComboBox" );

    layout22->addWidget( Pkcs11IdTypeComboBox, 0, 1 );

    textLabel2 = new QLabel( SmartcardGroupBox, "textLabel2" );

    layout22->addWidget( textLabel2, 0, 0 );
    layout24->addLayout( layout22 );
    layout56->addLayout( layout24 );

    layout55 = new QGridLayout( 0, 1, 1, 0, 6, "layout55"); 

    DetectPkcs11IdPushButton = new KPushButton( SmartcardGroupBox, "DetectPkcs11IdPushButton" );

    layout55->addWidget( DetectPkcs11IdPushButton, 2, 3 );

    textLabel3 = new QLabel( SmartcardGroupBox, "textLabel3" );

    layout55->addWidget( textLabel3, 0, 0 );

    IdLabel = new QLabel( SmartcardGroupBox, "IdLabel" );

    layout55->addMultiCellWidget( IdLabel, 1, 2, 0, 0 );

    Pkcs11SlotComboBox = new KComboBox( FALSE, SmartcardGroupBox, "Pkcs11SlotComboBox" );
    Pkcs11SlotComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, Pkcs11SlotComboBox->sizePolicy().hasHeightForWidth() ) );
    Pkcs11SlotComboBox->setSizeLimit( 5 );
    Pkcs11SlotComboBox->setMaxCount( 15 );
    Pkcs11SlotComboBox->setDuplicatesEnabled( FALSE );

    layout55->addWidget( Pkcs11SlotComboBox, 0, 2 );

    DetectPkcs11SlotsPushButton = new KPushButton( SmartcardGroupBox, "DetectPkcs11SlotsPushButton" );

    layout55->addMultiCellWidget( DetectPkcs11SlotsPushButton, 0, 1, 3, 3 );

    Pkcs11IdComboBox = new KComboBox( FALSE, SmartcardGroupBox, "Pkcs11IdComboBox" );
    Pkcs11IdComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, Pkcs11IdComboBox->sizePolicy().hasHeightForWidth() ) );
    Pkcs11IdComboBox->setAutoMask( TRUE );
    Pkcs11IdComboBox->setSizeLimit( 50 );
    Pkcs11IdComboBox->setDuplicatesEnabled( FALSE );

    layout55->addWidget( Pkcs11IdComboBox, 2, 2 );
    layout56->addLayout( layout55 );

    layout31 = new QHBoxLayout( 0, 0, 6, "layout31"); 

    UsePkcs11ProvidersCheckBox = new QCheckBox( SmartcardGroupBox, "UsePkcs11ProvidersCheckBox" );
    layout31->addWidget( UsePkcs11ProvidersCheckBox );

    Pkcs11ProvidersURLRequester = new KURLRequester( SmartcardGroupBox, "Pkcs11ProvidersURLRequester" );
    Pkcs11ProvidersURLRequester->setEnabled( FALSE );
    layout31->addWidget( Pkcs11ProvidersURLRequester );
    layout56->addLayout( layout31 );
    SmartcardGroupBoxLayout->addLayout( layout56 );
    layout155->addWidget( SmartcardGroupBox );
    layout156->addLayout( layout155 );
    spacer14 = new QSpacerItem( 21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout156->addItem( spacer14 );
    layout157->addLayout( layout156 );
    spacer38_3 = new QSpacerItem( 16, 51, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout157->addItem( spacer38_3 );

    ProfileSmartcardOptionsBaseLayout->addLayout( layout157, 0, 0 );
    languageChange();
    resize( QSize(396, 269).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( UsePkcs11ProvidersCheckBox, SIGNAL( toggled(bool) ), this, SLOT( usePkcs11ProvidersToggled(bool) ) );
    connect( UseSmartcardCheckBox, SIGNAL( toggled(bool) ), this, SLOT( useSmartcardToggled(bool) ) );

    // tab order
    setTabOrder( UseSmartcardCheckBox, Pkcs11SlotTypeComboBox );
    setTabOrder( Pkcs11SlotTypeComboBox, Pkcs11IdTypeComboBox );
    setTabOrder( Pkcs11IdTypeComboBox, Pkcs11SignModeComboBox );
    setTabOrder( Pkcs11SignModeComboBox, Pkcs11SlotComboBox );
    setTabOrder( Pkcs11SlotComboBox, DetectPkcs11SlotsPushButton );
    setTabOrder( DetectPkcs11SlotsPushButton, Pkcs11IdComboBox );
    setTabOrder( Pkcs11IdComboBox, DetectPkcs11IdPushButton );
    setTabOrder( DetectPkcs11IdPushButton, UsePkcs11ProvidersCheckBox );
    setTabOrder( UsePkcs11ProvidersCheckBox, Pkcs11ProvidersURLRequester );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileSmartcardOptionsBase::~ProfileSmartcardOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileSmartcardOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Smartcard" ) );
    UseSmartcardCheckBox->setText( tr2i18n( "Enable PKCS&11 smartcard support" ) );
    UseSmartcardCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    QToolTip::add( UseSmartcardCheckBox, QString::null );
    SmartcardGroupBox->setTitle( tr2i18n( "PKCS11 smartcard" ) );
    Pkcs11SlotTypeLabel->setText( tr2i18n( "Slot type" ) );
    Pkcs11SignModeComboBox->clear();
    Pkcs11SignModeComboBox->insertItem( tr2i18n( "auto" ) );
    Pkcs11SignModeComboBox->insertItem( tr2i18n( "sign" ) );
    Pkcs11SignModeComboBox->insertItem( tr2i18n( "recover" ) );
    Pkcs11SignModeComboBox->insertItem( tr2i18n( "any" ) );
    Pkcs11SlotTypeComboBox->clear();
    Pkcs11SlotTypeComboBox->insertItem( tr2i18n( "ID" ) );
    Pkcs11SlotTypeComboBox->insertItem( tr2i18n( "Name" ) );
    Pkcs11SlotTypeComboBox->insertItem( tr2i18n( "Label" ) );
    textLabel5->setText( tr2i18n( "Sign mode" ) );
    Pkcs11IdTypeComboBox->clear();
    Pkcs11IdTypeComboBox->insertItem( tr2i18n( "ID" ) );
    Pkcs11IdTypeComboBox->insertItem( tr2i18n( "Label" ) );
    Pkcs11IdTypeComboBox->insertItem( tr2i18n( "Subject" ) );
    textLabel2->setText( tr2i18n( "ID type" ) );
    DetectPkcs11IdPushButton->setText( tr2i18n( "Detect" ) );
    textLabel3->setText( tr2i18n( "Slot" ) );
    IdLabel->setText( tr2i18n( "ID" ) );
    DetectPkcs11SlotsPushButton->setText( tr2i18n( "Detect" ) );
    UsePkcs11ProvidersCheckBox->setText( tr2i18n( "Use token provider &library:" ) );
    UsePkcs11ProvidersCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
}

void ProfileSmartcardOptionsBase::usePkcs11ProvidersToggled(bool)
{
    qWarning( "ProfileSmartcardOptionsBase::usePkcs11ProvidersToggled(bool): Not implemented yet" );
}

void ProfileSmartcardOptionsBase::useSmartcardToggled(bool)
{
    qWarning( "ProfileSmartcardOptionsBase::useSmartcardToggled(bool): Not implemented yet" );
}

void ProfileSmartcardOptionsBase::idTypeToggled()
{
    qWarning( "ProfileSmartcardOptionsBase::idTypeToggled(): Not implemented yet" );
}

#include "profilesmartcardoptionsbase.moc"
