#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilesshoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:20 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilesshoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <klineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kcombobox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"
#include "kurlrequester.h"
#include "kpushbutton.h"

/*
 *  Constructs a ProfileSshOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileSshOptionsBase::ProfileSshOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileSshOptionsBase" );
    ProfileSshOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileSshOptionsBaseLayout"); 

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    layout209 = new QHBoxLayout( 0, 0, 6, "layout209"); 

    UseUserdefinedRemotePortCheckBox = new QCheckBox( this, "UseUserdefinedRemotePortCheckBox" );
    layout209->addWidget( UseUserdefinedRemotePortCheckBox );
    spacer6_3 = new QSpacerItem( 82, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout209->addItem( spacer6_3 );

    UserdefinedRemotePortSpinBox = new QSpinBox( this, "UserdefinedRemotePortSpinBox" );
    UserdefinedRemotePortSpinBox->setEnabled( FALSE );
    UserdefinedRemotePortSpinBox->setMaxValue( 65535 );
    UserdefinedRemotePortSpinBox->setMinValue( 1 );
    UserdefinedRemotePortSpinBox->setValue( 22 );
    layout209->addWidget( UserdefinedRemotePortSpinBox );
    layout7->addLayout( layout209 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    UseSshConfigRemoteScriptCheckBox = new QCheckBox( this, "UseSshConfigRemoteScriptCheckBox" );
    layout6->addWidget( UseSshConfigRemoteScriptCheckBox );

    SshConfigRemoteScriptLineEdit = new KLineEdit( this, "SshConfigRemoteScriptLineEdit" );
    SshConfigRemoteScriptLineEdit->setEnabled( FALSE );
    layout6->addWidget( SshConfigRemoteScriptLineEdit );
    layout7->addLayout( layout6 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    AuthKeyRadioButton = new QRadioButton( buttonGroup1, "AuthKeyRadioButton" );

    buttonGroup1Layout->addWidget( AuthKeyRadioButton, 1, 0 );

    AuthPassRadioButton = new QRadioButton( buttonGroup1, "AuthPassRadioButton" );
    AuthPassRadioButton->setChecked( TRUE );

    buttonGroup1Layout->addWidget( AuthPassRadioButton, 0, 0 );
    layout9->addWidget( buttonGroup1 );
    spacer132 = new QSpacerItem( 194, 41, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer132 );
    layout7->addLayout( layout9 );

    SshkeyButtonGroup = new QButtonGroup( this, "SshkeyButtonGroup" );
    SshkeyButtonGroup->setEnabled( FALSE );
    SshkeyButtonGroup->setColumnLayout(0, Qt::Vertical );
    SshkeyButtonGroup->layout()->setSpacing( 6 );
    SshkeyButtonGroup->layout()->setMargin( 11 );
    SshkeyButtonGroupLayout = new QGridLayout( SshkeyButtonGroup->layout() );
    SshkeyButtonGroupLayout->setAlignment( Qt::AlignTop );

    SshKeyComboBox = new KComboBox( FALSE, SshkeyButtonGroup, "SshKeyComboBox" );
    SshKeyComboBox->setMinimumSize( QSize( 200, 0 ) );

    SshkeyButtonGroupLayout->addWidget( SshKeyComboBox, 0, 1 );

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 

    CostumKeyRadioButton = new QRadioButton( SshkeyButtonGroup, "CostumKeyRadioButton" );
    layout7_2->addWidget( CostumKeyRadioButton );
    spacer6 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7_2->addItem( spacer6 );

    SshkeyButtonGroupLayout->addLayout( layout7_2, 1, 0 );

    CostumkeyURLRequester = new KURLRequester( SshkeyButtonGroup, "CostumkeyURLRequester" );

    SshkeyButtonGroupLayout->addWidget( CostumkeyURLRequester, 1, 1 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    AutoKeyRadioButton = new QRadioButton( SshkeyButtonGroup, "AutoKeyRadioButton" );
    AutoKeyRadioButton->setChecked( TRUE );
    layout10->addWidget( AutoKeyRadioButton );
    spacer7 = new QSpacerItem( 41, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout10->addItem( spacer7 );

    SshkeyButtonGroupLayout->addLayout( layout10, 0, 0 );
    layout7->addWidget( SshkeyButtonGroup );
    spacer130 = new QSpacerItem( 20, 140, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout7->addItem( spacer130 );

    ProfileSshOptionsBaseLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( QSize(490, 421).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( UseUserdefinedRemotePortCheckBox, SIGNAL( toggled(bool) ), this, SLOT( usePortToggled(bool) ) );
    connect( AuthKeyRadioButton, SIGNAL( toggled(bool) ), this, SLOT( sshKeyToggled(bool) ) );
    connect( CostumKeyRadioButton, SIGNAL( toggled(bool) ), this, SLOT( sshKeyToggled(bool) ) );
    connect( AuthPassRadioButton, SIGNAL( toggled(bool) ), this, SLOT( sshAuthToggled(bool) ) );
    connect( UseSshConfigRemoteScriptCheckBox, SIGNAL( toggled(bool) ), this, SLOT( useSshConfigRemoteScriptToggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileSshOptionsBase::~ProfileSshOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileSshOptionsBase::languageChange()
{
    setCaption( tr2i18n( "SSH" ) );
    UseUserdefinedRemotePortCheckBox->setText( tr2i18n( "&Use specified remote port:" ) );
    UseUserdefinedRemotePortCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( UseUserdefinedRemotePortCheckBox, tr2i18n( "Use non standard TCP/UDP port" ) );
    QToolTip::add( UserdefinedRemotePortSpinBox, tr2i18n( "Port number" ) );
    UseSshConfigRemoteScriptCheckBox->setText( tr2i18n( "&Use network config script on server:" ) );
    UseSshConfigRemoteScriptCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( UseSshConfigRemoteScriptCheckBox, tr2i18n( "Use non standard TCP/UDP port" ) );
    QToolTip::add( SshConfigRemoteScriptLineEdit, tr2i18n( "full path to script on server" ) );
    QWhatsThis::add( SshConfigRemoteScriptLineEdit, tr2i18n( "Parameter 0: script name e.g. /root/ssh_vpn_up.sh\n"
"Parameter 1: device type  e.g. tun\n"
"Parameter 2: ip address  e.g. 1.2.3.4 (tun)\n"
"Parameter 3: remote ip address 1.2.3.5 (tun)" ) );
    buttonGroup1->setTitle( tr2i18n( "Authentication" ) );
    AuthKeyRadioButton->setText( tr2i18n( "&Key" ) );
    AuthKeyRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    AuthPassRadioButton->setText( tr2i18n( "Pass&word" ) );
    AuthPassRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    SshkeyButtonGroup->setTitle( tr2i18n( "SSH key" ) );
    CostumKeyRadioButton->setText( tr2i18n( "Costum key:" ) );
    AutoKeyRadioButton->setText( tr2i18n( "autodetected ke&y:" ) );
    AutoKeyRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
}

void ProfileSshOptionsBase::usePortToggled(bool)
{
    qWarning( "ProfileSshOptionsBase::usePortToggled(bool): Not implemented yet" );
}

void ProfileSshOptionsBase::sshKeyToggled(bool)
{
    qWarning( "ProfileSshOptionsBase::sshKeyToggled(bool): Not implemented yet" );
}

void ProfileSshOptionsBase::sshAuthToggled(bool)
{
    qWarning( "ProfileSshOptionsBase::sshAuthToggled(bool): Not implemented yet" );
}

void ProfileSshOptionsBase::useSshConfigRemoteScriptToggled(bool)
{
    qWarning( "ProfileSshOptionsBase::useSshConfigRemoteScriptToggled(bool): Not implemented yet" );
}

#include "profilesshoptionsbase.moc"
