#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileuseroptionsbase.ui'
**
** Created: Sat Dec 27 15:12:21 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileuseroptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <klineedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a ProfileUserOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileUserOptionsBase::ProfileUserOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileUserOptionsBase" );
    ProfileUserOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileUserOptionsBaseLayout"); 

    layout19 = new QVBoxLayout( 0, 0, 6, "layout19"); 

    layout18 = new QVBoxLayout( 0, 0, 6, "layout18"); 

    layout17 = new QGridLayout( 0, 1, 1, 0, 6, "layout17"); 

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout17->addWidget( PasswordEdit, 1, 1 );

    layout31 = new QHBoxLayout( 0, 0, 6, "layout31"); 

    NtDomainNameCheckbox = new QCheckBox( this, "NtDomainNameCheckbox" );
    NtDomainNameCheckbox->setEnabled( FALSE );
    layout31->addWidget( NtDomainNameCheckbox );
    spacer14 = new QSpacerItem( 121, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout31->addItem( spacer14 );

    layout17->addLayout( layout31, 2, 0 );

    NtDomainNameLineedit = new KLineEdit( this, "NtDomainNameLineedit" );
    NtDomainNameLineedit->setEnabled( FALSE );

    layout17->addWidget( NtDomainNameLineedit, 2, 1 );
    spacer13 = new QSpacerItem( 133, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout17->addItem( spacer13, 4, 0 );

    UsernameLineEdit = new KLineEdit( this, "UsernameLineEdit" );

    layout17->addWidget( UsernameLineEdit, 0, 1 );

    DontSaveUsernameCheckBox = new QCheckBox( this, "DontSaveUsernameCheckBox" );

    layout17->addWidget( DontSaveUsernameCheckBox, 4, 1 );
    spacer12 = new QSpacerItem( 133, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout17->addItem( spacer12, 3, 0 );

    layout55 = new QHBoxLayout( 0, 0, 6, "layout55"); 

    LabelPassword = new QLabel( this, "LabelPassword" );
    layout55->addWidget( LabelPassword );
    spacer62 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout55->addItem( spacer62 );

    layout17->addLayout( layout55, 1, 0 );

    layout54 = new QHBoxLayout( 0, 0, 6, "layout54"); 

    LabelUsername = new QLabel( this, "LabelUsername" );
    layout54->addWidget( LabelUsername );
    spacer61 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout54->addItem( spacer61 );

    layout17->addLayout( layout54, 0, 0 );

    CheckUserPass = new QCheckBox( this, "CheckUserPass" );

    layout17->addWidget( CheckUserPass, 3, 1 );
    layout18->addLayout( layout17 );

    HideGroupPasswordInAccountDataDialogCheckBox = new QCheckBox( this, "HideGroupPasswordInAccountDataDialogCheckBox" );
    layout18->addWidget( HideGroupPasswordInAccountDataDialogCheckBox );
    layout19->addLayout( layout18 );
    spacer2 = new QSpacerItem( 20, 42, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout19->addItem( spacer2 );

    ProfileUserOptionsBaseLayout->addLayout( layout19, 0, 0 );
    languageChange();
    resize( QSize(360, 235).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( UsernameLineEdit, PasswordEdit );
    setTabOrder( PasswordEdit, NtDomainNameCheckbox );
    setTabOrder( NtDomainNameCheckbox, NtDomainNameLineedit );
    setTabOrder( NtDomainNameLineedit, CheckUserPass );
    setTabOrder( CheckUserPass, DontSaveUsernameCheckBox );
    setTabOrder( DontSaveUsernameCheckBox, HideGroupPasswordInAccountDataDialogCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileUserOptionsBase::~ProfileUserOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileUserOptionsBase::languageChange()
{
    setCaption( tr2i18n( "User Data" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Password for authentication" ) );
    NtDomainNameCheckbox->setText( tr2i18n( "NT do&main name:" ) );
    NtDomainNameCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( NtDomainNameCheckbox, tr2i18n( "Use NT domain for authentication" ) );
    QToolTip::add( NtDomainNameLineedit, tr2i18n( "NT domain name for authentication" ) );
    QToolTip::add( UsernameLineEdit, tr2i18n( "Username for authentication" ) );
    DontSaveUsernameCheckBox->setText( tr2i18n( "Dont save username" ) );
    DontSaveUsernameCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DontSaveUsernameCheckBox, tr2i18n( "Do not save the username in config nor KWallet" ) );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    LabelUsername->setText( tr2i18n( "Username:" ) );
    CheckUserPass->setText( tr2i18n( "Save &user password" ) );
    CheckUserPass->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( CheckUserPass, tr2i18n( "Save user password in config file (or in KWallet if available)" ) );
    HideGroupPasswordInAccountDataDialogCheckBox->setText( tr2i18n( "Hide group pass&word field in account data dialog" ) );
    HideGroupPasswordInAccountDataDialogCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( HideGroupPasswordInAccountDataDialogCheckBox, tr2i18n( "Do not show group password field in dialog for request username/password." ) );
}

void ProfileUserOptionsBase::domainNameToggled(bool)
{
    qWarning( "ProfileUserOptionsBase::domainNameToggled(bool): Not implemented yet" );
}

#include "profileuseroptionsbase.moc"
