#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilevtunoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:22 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilevtunoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a ProfileVtunOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileVtunOptionsBase::ProfileVtunOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileVtunOptionsBase" );
    ProfileVtunOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileVtunOptionsBaseLayout"); 

    layout118 = new QHBoxLayout( 0, 0, 6, "layout118"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 
    layout118->addLayout( layout9 );
    spacer59 = new QSpacerItem( 439, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout118->addItem( spacer59 );

    ProfileVtunOptionsBaseLayout->addLayout( layout118, 0, 0 );

    layout28 = new QVBoxLayout( 0, 0, 6, "layout28"); 

    layout27 = new QGridLayout( 0, 1, 1, 0, 6, "layout27"); 

    layout22 = new QHBoxLayout( 0, 0, 6, "layout22"); 

    LabelID = new QLabel( this, "LabelID" );
    layout22->addWidget( LabelID );
    spacer15 = new QSpacerItem( 50, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout22->addItem( spacer15 );

    VtunProfileLineEdit = new KLineEdit( this, "VtunProfileLineEdit" );
    layout22->addWidget( VtunProfileLineEdit );

    layout27->addLayout( layout22, 0, 0 );

    layout16 = new QHBoxLayout( 0, 0, 6, "layout16"); 

    PortCheckbox = new QCheckBox( this, "PortCheckbox" );
    layout16->addWidget( PortCheckbox );
    spacer18 = new QSpacerItem( 81, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout16->addItem( spacer18 );

    PortSpinbox = new QSpinBox( this, "PortSpinbox" );
    PortSpinbox->setEnabled( FALSE );
    PortSpinbox->setMaxValue( 65535 );
    PortSpinbox->setValue( 5000 );
    layout16->addWidget( PortSpinbox );

    layout27->addLayout( layout16, 3, 0 );
    layout28->addLayout( layout27 );
    spacer4 = new QSpacerItem( 20, 22, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout28->addItem( spacer4 );

    ProfileVtunOptionsBaseLayout->addLayout( layout28, 1, 0 );
    languageChange();
    resize( QSize(678, 297).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PortCheckbox, SIGNAL( toggled(bool) ), this, SLOT( usePortToggled(bool) ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileVtunOptionsBase::~ProfileVtunOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileVtunOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Vtun" ) );
    LabelID->setText( tr2i18n( "VTun profile:" ) );
    QToolTip::add( VtunProfileLineEdit, tr2i18n( "IPSec ID of the remote side" ) );
    PortCheckbox->setText( tr2i18n( "Use userdefined port:" ) );
    PortCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( PortSpinbox, tr2i18n( "Local port number" ) );
}

void ProfileVtunOptionsBase::usePortToggled(bool)
{
    qWarning( "ProfileVtunOptionsBase::usePortToggled(bool): Not implemented yet" );
}

#include "profilevtunoptionsbase.moc"
