#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './toolsinfowidgetbase.ui'
**
** Created: Sat Dec 27 15:12:23 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "toolsinfowidgetbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"

/*
 *  Constructs a ToolsInfoWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ToolsInfoWidgetBase::ToolsInfoWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ToolsInfoWidgetBase" );
    ToolsInfoWidgetBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ToolsInfoWidgetBaseLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );

    ToolsInfoWidgetBaseLayout->addWidget( textLabel1, 0, 0 );

    InfoListView = new KListView( this, "InfoListView" );
    InfoListView->addColumn( tr2i18n( "Tool" ) );
    InfoListView->addColumn( tr2i18n( "State" ) );
    InfoListView->addColumn( tr2i18n( "Version" ) );
    InfoListView->addColumn( tr2i18n( "Usability" ) );
    InfoListView->addColumn( tr2i18n( "required by" ) );
    InfoListView->addColumn( tr2i18n( "Path" ) );
    InfoListView->addColumn( tr2i18n( "Comment" ) );
    InfoListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 0, 0, InfoListView->sizePolicy().hasHeightForWidth() ) );
    InfoListView->setMinimumSize( QSize( 600, 300 ) );
    InfoListView->setResizePolicy( KListView::AutoOneFit );
    InfoListView->setFullWidth( TRUE );
    InfoListView->setItemsMovable( FALSE );

    ToolsInfoWidgetBaseLayout->addWidget( InfoListView, 1, 0 );
    languageChange();
    resize( QSize(942, 346).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ToolsInfoWidgetBase::~ToolsInfoWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ToolsInfoWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Tools Information" ) );
    textLabel1->setText( tr2i18n( "The following information about the tools has been collected:" ) );
    InfoListView->header()->setLabel( 0, tr2i18n( "Tool" ) );
    InfoListView->header()->setLabel( 1, tr2i18n( "State" ) );
    InfoListView->header()->setLabel( 2, tr2i18n( "Version" ) );
    InfoListView->header()->setLabel( 3, tr2i18n( "Usability" ) );
    InfoListView->header()->setLabel( 4, tr2i18n( "required by" ) );
    InfoListView->header()->setLabel( 5, tr2i18n( "Path" ) );
    InfoListView->header()->setLabel( 6, tr2i18n( "Comment" ) );
}

#include "toolsinfowidgetbase.moc"
