#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configconnectoptionsbase.ui'
**
** Created: Sat Dec 27 15:11:28 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configconnectoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"

/*
 *  Constructs a ConfigConnectOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigConnectOptionsBase::ConfigConnectOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigConnectOptionsBase" );
    ConfigConnectOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigConnectOptionsBaseLayout"); 

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    checkMinimizeAfterConnectCheck = new QCheckBox( this, "checkMinimizeAfterConnectCheck" );
    checkMinimizeAfterConnectCheck->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, checkMinimizeAfterConnectCheck->sizePolicy().hasHeightForWidth() ) );
    checkMinimizeAfterConnectCheck->setChecked( TRUE );
    layout10->addWidget( checkMinimizeAfterConnectCheck );
    spacer24 = new QSpacerItem( 154, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout10->addItem( spacer24 );

    ConfigConnectOptionsBaseLayout->addLayout( layout10, 1, 0 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    SilentQuitcheckBox = new QCheckBox( this, "SilentQuitcheckBox" );
    SilentQuitcheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, SilentQuitcheckBox->sizePolicy().hasHeightForWidth() ) );
    layout11->addWidget( SilentQuitcheckBox );
    spacer25 = new QSpacerItem( 210, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer25 );

    ConfigConnectOptionsBaseLayout->addLayout( layout11, 0, 0 );
    spacer6 = new QSpacerItem( 41, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigConnectOptionsBaseLayout->addItem( spacer6, 4, 0 );

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 

    DoAutoConnectCheckBox = new QCheckBox( this, "DoAutoConnectCheckBox" );
    DoAutoConnectCheckBox->setChecked( TRUE );
    layout12->addWidget( DoAutoConnectCheckBox );
    spacer24_2_2 = new QSpacerItem( 59, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer24_2_2 );

    AutoConnectProfileComboBox = new KComboBox( FALSE, this, "AutoConnectProfileComboBox" );
    layout12->addWidget( AutoConnectProfileComboBox );

    ConfigConnectOptionsBaseLayout->addLayout( layout12, 3, 0 );
    languageChange();
    resize( QSize(414, 155).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( DoAutoConnectCheckBox, SIGNAL( toggled(bool) ), this, SLOT( autoConnectToggled(bool) ) );

    // tab order
    setTabOrder( SilentQuitcheckBox, checkMinimizeAfterConnectCheck );
    setTabOrder( checkMinimizeAfterConnectCheck, DoAutoConnectCheckBox );
    setTabOrder( DoAutoConnectCheckBox, AutoConnectProfileComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigConnectOptionsBase::~ConfigConnectOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigConnectOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Connect" ) );
    checkMinimizeAfterConnectCheck->setText( tr2i18n( "&Minimize after connect" ) );
    checkMinimizeAfterConnectCheck->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( checkMinimizeAfterConnectCheck, tr2i18n( "Hide main window after connect" ) );
    QWhatsThis::add( checkMinimizeAfterConnectCheck, tr2i18n( "Enable this to let kvpnc minimize in kicker after succesful connect." ) );
    SilentQuitcheckBox->setText( tr2i18n( "Use silent &quit" ) );
    SilentQuitcheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( SilentQuitcheckBox, tr2i18n( "Enable exit without warning\n"
"about the active connecions" ) );
    DoAutoConnectCheckBox->setText( tr2i18n( "Au&tomatically connect at startup:" ) );
    DoAutoConnectCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( DoAutoConnectCheckBox, tr2i18n( "After startup initiate connection using selected profile" ) );
    QToolTip::add( AutoConnectProfileComboBox, tr2i18n( "Profile to connect at startup" ) );
}

void ConfigConnectOptionsBase::autoConnectToggled(bool)
{
    qWarning( "ConfigConnectOptionsBase::autoConnectToggled(bool): Not implemented yet" );
}

#include "configconnectoptionsbase.moc"
