#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configgeneraloptions.ui'
**
** Created: Sat Dec 27 15:11:32 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configgeneraloptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigGeneralOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigGeneralOptions::ConfigGeneralOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigGeneralOptions" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ConfigGeneralOptionsLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigGeneralOptionsLayout"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    ConfigGeneralOptionsLayout->addLayout( layout9, 0, 0 );

    layout9_2 = new QVBoxLayout( 0, 0, 6, "layout9_2"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    useKwalletCheckBox = new QCheckBox( this, "useKwalletCheckBox" );
    layout7->addWidget( useKwalletCheckBox );
    spacer29_2 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer29_2 );
    layout9_2->addLayout( layout7 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    DontQuitOnCloseEventCheckBox = new QCheckBox( this, "DontQuitOnCloseEventCheckBox" );
    layout11->addWidget( DontQuitOnCloseEventCheckBox );
    spacer31_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer31_2 );
    layout9_2->addLayout( layout11 );

    layout11_2 = new QHBoxLayout( 0, 0, 6, "layout11_2"); 

    HideOnStartupCheckBox = new QCheckBox( this, "HideOnStartupCheckBox" );
    layout11_2->addWidget( HideOnStartupCheckBox );
    spacer31_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11_2->addItem( spacer31_2_2 );
    layout9_2->addLayout( layout11_2 );
    spacer6 = new QSpacerItem( 20, 80, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout9_2->addItem( spacer6 );

    ConfigGeneralOptionsLayout->addLayout( layout9_2, 0, 1 );
    languageChange();
    resize( QSize(341, 215).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigGeneralOptions::~ConfigGeneralOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigGeneralOptions::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    useKwalletCheckBox->setText( tr2i18n( "Use K&Wallet" ) );
    useKwalletCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( useKwalletCheckBox, tr2i18n( "Use KWallet for secure store passwords" ) );
    QWhatsThis::add( useKwalletCheckBox, QString::null );
    DontQuitOnCloseEventCheckBox->setText( tr2i18n( "Do not &quit by clicking close button" ) );
    DontQuitOnCloseEventCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( DontQuitOnCloseEventCheckBox, tr2i18n( "Close button minimizes to system tray <br>(kicker) instead of quit the program" ) );
    HideOnStartupCheckBox->setText( tr2i18n( "Hide on startup" ) );
    HideOnStartupCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( HideOnStartupCheckBox, tr2i18n( "Hides the KVpnc mainwindow on startup. KVpnc is still accessable vrom dock menu." ) );
}

void ConfigGeneralOptions::useKwalletToggled(bool)
{
    qWarning( "ConfigGeneralOptions::useKwalletToggled(bool): Not implemented yet" );
}

#include "configgeneraloptions.moc"
