#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardtypeselection.ui'
**
** Created: Sat Dec 27 15:12:02 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardtypeselection.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NewProfileWizardTypeSelection as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardTypeSelection::NewProfileWizardTypeSelection( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardTypeSelection" );
    NewProfileWizardTypeSelectionLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardTypeSelectionLayout"); 

    layout25 = new QHBoxLayout( 0, 0, 6, "layout25"); 

    layout24 = new QVBoxLayout( 0, 0, 6, "layout24"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout24->addWidget( textLabel1 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    CiscoRadioButton = new QRadioButton( buttonGroup1, "CiscoRadioButton" );
    CiscoRadioButton->setChecked( TRUE );

    buttonGroup1Layout->addWidget( CiscoRadioButton, 0, 0 );

    L2tpFreeswanRadioButton = new QRadioButton( buttonGroup1, "L2tpFreeswanRadioButton" );

    buttonGroup1Layout->addWidget( L2tpFreeswanRadioButton, 7, 0 );

    L2tpRacoonRadioButton = new QRadioButton( buttonGroup1, "L2tpRacoonRadioButton" );

    buttonGroup1Layout->addWidget( L2tpRacoonRadioButton, 6, 0 );

    PptpRadioButton = new QRadioButton( buttonGroup1, "PptpRadioButton" );

    buttonGroup1Layout->addWidget( PptpRadioButton, 5, 0 );

    OpenvpnRadioButton = new QRadioButton( buttonGroup1, "OpenvpnRadioButton" );

    buttonGroup1Layout->addWidget( OpenvpnRadioButton, 4, 0 );

    RacoonRadioButton = new QRadioButton( buttonGroup1, "RacoonRadioButton" );

    buttonGroup1Layout->addWidget( RacoonRadioButton, 3, 0 );

    FreeswanRadioButton = new QRadioButton( buttonGroup1, "FreeswanRadioButton" );

    buttonGroup1Layout->addWidget( FreeswanRadioButton, 2, 0 );

    CiscoVpncRadioButton = new QRadioButton( buttonGroup1, "CiscoVpncRadioButton" );

    buttonGroup1Layout->addWidget( CiscoVpncRadioButton, 1, 0 );

    VtunRadioButton = new QRadioButton( buttonGroup1, "VtunRadioButton" );

    buttonGroup1Layout->addWidget( VtunRadioButton, 8, 0 );

    SshRadioButton = new QRadioButton( buttonGroup1, "SshRadioButton" );

    buttonGroup1Layout->addWidget( SshRadioButton, 9, 0 );
    layout24->addWidget( buttonGroup1 );
    spacer65 = new QSpacerItem( 20, 105, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout24->addItem( spacer65 );
    layout25->addLayout( layout24 );
    spacer64 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout25->addItem( spacer64 );

    NewProfileWizardTypeSelectionLayout->addLayout( layout25, 0, 0 );
    languageChange();
    resize( QSize(355, 440).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardTypeSelection::~NewProfileWizardTypeSelection()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardTypeSelection::languageChange()
{
    setCaption( tr2i18n( "New profile wizard type selection" ) );
    textLabel1->setText( tr2i18n( "Select the type of your VPN:" ) );
    buttonGroup1->setTitle( tr2i18n( "Type" ) );
    CiscoRadioButton->setText( tr2i18n( "&Cisco (free)" ) );
    CiscoRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    L2tpFreeswanRadioButton->setText( tr2i18n( "&L2TP over IPSec (Free/SWAN or Openswan)" ) );
    L2tpFreeswanRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    L2tpRacoonRadioButton->setText( tr2i18n( "L2TP over IPSec (Linux 2.&6 native or BSD)" ) );
    L2tpRacoonRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+6" ) ) );
    PptpRadioButton->setText( tr2i18n( "&Microsoft PPTP" ) );
    PptpRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    OpenvpnRadioButton->setText( tr2i18n( "Open&VPN" ) );
    OpenvpnRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    RacoonRadioButton->setText( tr2i18n( "IPSec (Linux &2.6 native or BSD)" ) );
    RacoonRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+2" ) ) );
    FreeswanRadioButton->setText( tr2i18n( "&IPSec (Free/SWAN or Openswan)" ) );
    FreeswanRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    CiscoVpncRadioButton->setText( tr2i18n( "Cisco (propritar&y)" ) );
    CiscoVpncRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    VtunRadioButton->setText( tr2i18n( "&Vtun" ) );
    VtunRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    SshRadioButton->setText( tr2i18n( "&SSH" ) );
    SshRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
}

#include "newprofilewizardtypeselection.moc"
