#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizarduser.ui'
**
** Created: Sat Dec 27 15:12:02 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizarduser.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a NewProfileWizardUser as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardUser::NewProfileWizardUser( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardUser" );
    NewProfileWizardUserLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardUserLayout"); 

    layout57 = new QVBoxLayout( 0, 0, 6, "layout57"); 

    layout56 = new QGridLayout( 0, 1, 1, 0, 6, "layout56"); 

    NtDomainNameLineedit = new KLineEdit( this, "NtDomainNameLineedit" );
    NtDomainNameLineedit->setEnabled( FALSE );

    layout56->addWidget( NtDomainNameLineedit, 2, 1 );

    NtDomainNameCheckbox = new QCheckBox( this, "NtDomainNameCheckbox" );
    NtDomainNameCheckbox->setEnabled( FALSE );

    layout56->addWidget( NtDomainNameCheckbox, 2, 0 );

    UsernameLineEdit = new KLineEdit( this, "UsernameLineEdit" );

    layout56->addWidget( UsernameLineEdit, 0, 1 );

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout56->addWidget( PasswordEdit, 1, 1 );

    layout54 = new QHBoxLayout( 0, 0, 6, "layout54"); 

    LabelUsername = new QLabel( this, "LabelUsername" );
    layout54->addWidget( LabelUsername );
    spacer61 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout54->addItem( spacer61 );

    layout56->addLayout( layout54, 0, 0 );

    layout55 = new QHBoxLayout( 0, 0, 6, "layout55"); 

    LabelPassword = new QLabel( this, "LabelPassword" );
    layout55->addWidget( LabelPassword );
    spacer62 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout55->addItem( spacer62 );

    layout56->addLayout( layout55, 1, 0 );
    layout57->addLayout( layout56 );

    layout52 = new QHBoxLayout( 0, 0, 6, "layout52"); 

    CheckUserPass = new QCheckBox( this, "CheckUserPass" );
    layout52->addWidget( CheckUserPass );

    DontSaveUsernameCheckBox = new QCheckBox( this, "DontSaveUsernameCheckBox" );
    layout52->addWidget( DontSaveUsernameCheckBox );
    layout57->addLayout( layout52 );
    spacer2 = new QSpacerItem( 20, 48, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout57->addItem( spacer2 );

    NewProfileWizardUserLayout->addLayout( layout57, 0, 0 );
    languageChange();
    resize( QSize(363, 192).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardUser::~NewProfileWizardUser()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardUser::languageChange()
{
    setCaption( tr2i18n( "User settings" ) );
    QToolTip::add( NtDomainNameLineedit, tr2i18n( "NT domain name for authentication" ) );
    NtDomainNameCheckbox->setText( tr2i18n( "N&T domain name for authentication:" ) );
    NtDomainNameCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( NtDomainNameCheckbox, tr2i18n( "Use NT domain for authentication" ) );
    QToolTip::add( UsernameLineEdit, tr2i18n( "Username for authentication" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Password for authentication" ) );
    LabelUsername->setText( tr2i18n( "Username:" ) );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    CheckUserPass->setText( tr2i18n( "Save &user password" ) );
    CheckUserPass->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( CheckUserPass, tr2i18n( "Save user password in config file (or in KWallet if available)" ) );
    DontSaveUsernameCheckBox->setText( tr2i18n( "Dont sa&ve username" ) );
    DontSaveUsernameCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( DontSaveUsernameCheckBox, tr2i18n( "Do not save the username in config nor KWallet" ) );
}

void NewProfileWizardUser::domainNameToggled(bool)
{
    qWarning( "NewProfileWizardUser::domainNameToggled(bool): Not implemented yet" );
}

#include "newprofilewizarduser.moc"
