#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilecmdexecafterconnectoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:05 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilecmdexecafterconnectoptionsbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <ktextedit.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"
#include "knuminput.h"

/*
 *  Constructs a ProfileCmdExecAfterConnectOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCmdExecAfterConnectOptionsBase::ProfileCmdExecAfterConnectOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCmdExecAfterConnectOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileCmdExecAfterConnectOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCmdExecAfterConnectOptionsBaseLayout"); 

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    ExcuteCmdAfterConnectCheckBox = new QCheckBox( this, "ExcuteCmdAfterConnectCheckBox" );
    layout2->addWidget( ExcuteCmdAfterConnectCheckBox );

    CmdAfterConnectTextEdit = new KTextEdit( this, "CmdAfterConnectTextEdit" );
    CmdAfterConnectTextEdit->setEnabled( FALSE );
    CmdAfterConnectTextEdit->setMinimumSize( QSize( 0, 300 ) );
    CmdAfterConnectTextEdit->setCursor( QCursor( 0 ) );
    layout2->addWidget( CmdAfterConnectTextEdit );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    CommandAfterConnectDelayTimeNumInputLabel = new QLabel( this, "CommandAfterConnectDelayTimeNumInputLabel" );
    layout1->addWidget( CommandAfterConnectDelayTimeNumInputLabel );
    spacer1 = new QSpacerItem( 111, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    CommandAfterConnectDelayTimeNumInput = new KIntNumInput( this, "CommandAfterConnectDelayTimeNumInput" );
    CommandAfterConnectDelayTimeNumInput->setValue( 3 );
    CommandAfterConnectDelayTimeNumInput->setMinValue( 0 );
    CommandAfterConnectDelayTimeNumInput->setMaxValue( 20 );
    layout1->addWidget( CommandAfterConnectDelayTimeNumInput );
    layout2->addLayout( layout1 );

    ProfileCmdExecAfterConnectOptionsBaseLayout->addLayout( layout2, 0, 0 );
    languageChange();
    resize( QSize(383, 425).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ExcuteCmdAfterConnectCheckBox, SIGNAL( toggled(bool) ), this, SLOT( execCmdAfterConnectToggled(bool) ) );

    // tab order
    setTabOrder( ExcuteCmdAfterConnectCheckBox, CmdAfterConnectTextEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCmdExecAfterConnectOptionsBase::~ProfileCmdExecAfterConnectOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCmdExecAfterConnectOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Command Execution After Connect" ) );
    ExcuteCmdAfterConnectCheckBox->setText( tr2i18n( "E&xecute command after connect" ) );
    ExcuteCmdAfterConnectCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    QToolTip::add( ExcuteCmdAfterConnectCheckBox, tr2i18n( "Execute specified command after connect" ) );
    QWhatsThis::add( ExcuteCmdAfterConnectCheckBox, tr2i18n( "Check this to execute specified command after every successful connect." ) );
    QToolTip::add( CmdAfterConnectTextEdit, tr2i18n( "Command to execute after sucessful connect. <br>Normal shell commands are accepted." ) );
    QWhatsThis::add( CmdAfterConnectTextEdit, tr2i18n( "Command to execute after sucessful connect. <br>Normal shell commands are accepted." ) );
    CommandAfterConnectDelayTimeNumInputLabel->setText( tr2i18n( "Delay time:" ) );
}

void ProfileCmdExecAfterConnectOptionsBase::execCmdAfterConnectToggled(bool)
{
    qWarning( "ProfileCmdExecAfterConnectOptionsBase::execCmdAfterConnectToggled(bool): Not implemented yet" );
}

#include "profilecmdexecafterconnectoptionsbase.moc"
