#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilecmdexecbeforedisconnectoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:08 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilecmdexecbeforedisconnectoptionsbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"

/*
 *  Constructs a ProfileCmdExecBeforeDisconnectOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCmdExecBeforeDisconnectOptionsBase::ProfileCmdExecBeforeDisconnectOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCmdExecBeforeDisconnectOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileCmdExecBeforeDisconnectOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCmdExecBeforeDisconnectOptionsBaseLayout"); 

    ExcuteCmdBeforeDisconnectCheckBox = new QCheckBox( this, "ExcuteCmdBeforeDisconnectCheckBox" );

    ProfileCmdExecBeforeDisconnectOptionsBaseLayout->addMultiCellWidget( ExcuteCmdBeforeDisconnectCheckBox, 1, 1, 0, 2 );

    CmdBeforeDisconnectTextEdit = new KTextEdit( this, "CmdBeforeDisconnectTextEdit" );
    CmdBeforeDisconnectTextEdit->setEnabled( FALSE );
    CmdBeforeDisconnectTextEdit->setMinimumSize( QSize( 0, 300 ) );
    CmdBeforeDisconnectTextEdit->setCursor( QCursor( 0 ) );

    ProfileCmdExecBeforeDisconnectOptionsBaseLayout->addMultiCellWidget( CmdBeforeDisconnectTextEdit, 2, 2, 0, 2 );
    languageChange();
    resize( QSize(469, 432).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ExcuteCmdBeforeDisconnectCheckBox, SIGNAL( toggled(bool) ), this, SLOT( execCmdBeforeDisconnectToggled(bool) ) );

    // tab order
    setTabOrder( ExcuteCmdBeforeDisconnectCheckBox, CmdBeforeDisconnectTextEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCmdExecBeforeDisconnectOptionsBase::~ProfileCmdExecBeforeDisconnectOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCmdExecBeforeDisconnectOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Command Execution Before Disconnect" ) );
    ExcuteCmdBeforeDisconnectCheckBox->setText( tr2i18n( "Execute comm&and before disconnect" ) );
    ExcuteCmdBeforeDisconnectCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QToolTip::add( ExcuteCmdBeforeDisconnectCheckBox, tr2i18n( "Execute specified command before disconnect" ) );
    QWhatsThis::add( ExcuteCmdBeforeDisconnectCheckBox, tr2i18n( "Check this to execute specified command before every disconnect." ) );
    QToolTip::add( CmdBeforeDisconnectTextEdit, tr2i18n( "Command to execute before disconnect. <br>Normal shell commands are accepted." ) );
    QWhatsThis::add( CmdBeforeDisconnectTextEdit, tr2i18n( "Command to execute before disconnect. <br>Normal shell commands are accepted." ) );
}

void ProfileCmdExecBeforeDisconnectOptionsBase::execCmdBeforeDisconnectToggled(bool)
{
    qWarning( "ProfileCmdExecBeforeDisconnectOptionsBase::execCmdBeforeDisconnectToggled(bool): Not implemented yet" );
}

#include "profilecmdexecbeforedisconnectoptionsbase.moc"
