#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilegeneraloptionsbase.ui'
**
** Created: Sat Dec 27 15:12:08 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilegeneraloptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"
#include "kpushbutton.h"

/*
 *  Constructs a ProfileGeneralOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileGeneralOptionsBase::ProfileGeneralOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileGeneralOptionsBase" );
    ProfileGeneralOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileGeneralOptionsBaseLayout"); 

    layout49 = new QVBoxLayout( 0, 0, 6, "layout49"); 

    layout48 = new QGridLayout( 0, 1, 1, 0, 6, "layout48"); 

    LabelGateway_2 = new QLabel( this, "LabelGateway_2" );

    layout48->addWidget( LabelGateway_2, 0, 0 );

    LabelGateway = new QLabel( this, "LabelGateway" );

    layout48->addWidget( LabelGateway, 2, 0 );

    LabelCommectionType = new QLabel( this, "LabelCommectionType" );

    layout48->addWidget( LabelCommectionType, 1, 0 );

    gatewayLineEdit = new KLineEdit( this, "gatewayLineEdit" );

    layout48->addWidget( gatewayLineEdit, 2, 1 );

    DescriptionLineEdit = new KLineEdit( this, "DescriptionLineEdit" );

    layout48->addWidget( DescriptionLineEdit, 0, 1 );

    ConnectionTypeComboBox = new KComboBox( FALSE, this, "ConnectionTypeComboBox" );

    layout48->addWidget( ConnectionTypeComboBox, 1, 1 );
    layout49->addLayout( layout48 );
    spacer59 = new QSpacerItem( 20, 70, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout49->addItem( spacer59 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 
    spacer58 = new QSpacerItem( 92, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer58 );

    RenameSessionPushButton = new KPushButton( this, "RenameSessionPushButton" );
    layout11->addWidget( RenameSessionPushButton );

    SaveSessionPushButton = new KPushButton( this, "SaveSessionPushButton" );
    layout11->addWidget( SaveSessionPushButton );

    DeleteSessionPushButton = new KPushButton( this, "DeleteSessionPushButton" );
    layout11->addWidget( DeleteSessionPushButton );

    NewSessionPushButton = new KPushButton( this, "NewSessionPushButton" );
    layout11->addWidget( NewSessionPushButton );
    layout49->addLayout( layout11 );

    ProfileGeneralOptionsBaseLayout->addLayout( layout49, 0, 0 );
    languageChange();
    resize( QSize(456, 240).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( DescriptionLineEdit, ConnectionTypeComboBox );
    setTabOrder( ConnectionTypeComboBox, gatewayLineEdit );
    setTabOrder( gatewayLineEdit, RenameSessionPushButton );
    setTabOrder( RenameSessionPushButton, SaveSessionPushButton );
    setTabOrder( SaveSessionPushButton, DeleteSessionPushButton );
    setTabOrder( DeleteSessionPushButton, NewSessionPushButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileGeneralOptionsBase::~ProfileGeneralOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileGeneralOptionsBase::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    LabelGateway_2->setText( tr2i18n( "Description:" ) );
    LabelGateway->setText( tr2i18n( "VPN gateway:" ) );
    LabelCommectionType->setText( tr2i18n( "Connection type:" ) );
    QToolTip::add( gatewayLineEdit, tr2i18n( "Hostname or IP address of the VPN gateway" ) );
    QToolTip::add( DescriptionLineEdit, tr2i18n( "Profile description" ) );
    QToolTip::add( ConnectionTypeComboBox, tr2i18n( "Connection type" ) );
    QWhatsThis::add( ConnectionTypeComboBox, tr2i18n( "This is the connection type of the profile (e.g. Cisco)." ) );
    RenameSessionPushButton->setText( tr2i18n( "Rena&me" ) );
    RenameSessionPushButton->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( RenameSessionPushButton, tr2i18n( "Rename the current profile" ) );
    SaveSessionPushButton->setText( tr2i18n( "Sa&ve" ) );
    SaveSessionPushButton->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( SaveSessionPushButton, tr2i18n( "Save the current profile" ) );
    DeleteSessionPushButton->setText( tr2i18n( "Dele&te" ) );
    DeleteSessionPushButton->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( DeleteSessionPushButton, tr2i18n( "Delete the current profile" ) );
    NewSessionPushButton->setText( tr2i18n( "Ne&w" ) );
    NewSessionPushButton->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( NewSessionPushButton, tr2i18n( "Create a new profile" ) );
}

void ProfileGeneralOptionsBase::advancedSettingsClicked()
{
    qWarning( "ProfileGeneralOptionsBase::advancedSettingsClicked(): Not implemented yet" );
}

#include "profilegeneraloptionsbase.moc"
