#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilenetworkrouteoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:13 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilenetworkrouteoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kcombobox.h>
#include <qcheckbox.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klistview.h"
#include "kpushbutton.h"

/*
 *  Constructs a ProfileNetworkRouteOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileNetworkRouteOptionsBase::ProfileNetworkRouteOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileNetworkRouteOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileNetworkRouteOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileNetworkRouteOptionsBaseLayout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    DefaultRouteComboBox = new KComboBox( FALSE, this, "DefaultRouteComboBox" );
    layout14->addWidget( DefaultRouteComboBox );
    spacer12 = new QSpacerItem( 278, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout14->addItem( spacer12 );
    layout5->addLayout( layout14 );

    UseExtraNetworkRoutesCheckbox = new QCheckBox( this, "UseExtraNetworkRoutesCheckbox" );
    UseExtraNetworkRoutesCheckbox->setEnabled( TRUE );
    layout5->addWidget( UseExtraNetworkRoutesCheckbox );

    NetworkListView = new KListView( this, "NetworkListView" );
    NetworkListView->addColumn( tr2i18n( "Network" ) );
    NetworkListView->addColumn( tr2i18n( "Netmask" ) );
    NetworkListView->addColumn( tr2i18n( "Gateway" ) );
    NetworkListView->addColumn( tr2i18n( "Device" ) );
    NetworkListView->setEnabled( FALSE );
    NetworkListView->setMinimumSize( QSize( 0, 150 ) );
    layout5->addWidget( NetworkListView );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 
    spacer31_2 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer31_2 );

    EditRoutePushButton = new KPushButton( this, "EditRoutePushButton" );
    EditRoutePushButton->setEnabled( FALSE );
    layout4->addWidget( EditRoutePushButton );

    AddRoutePushButton = new KPushButton( this, "AddRoutePushButton" );
    AddRoutePushButton->setEnabled( FALSE );
    layout4->addWidget( AddRoutePushButton );

    DeleteNetworkRoutePushButton = new KPushButton( this, "DeleteNetworkRoutePushButton" );
    DeleteNetworkRoutePushButton->setEnabled( FALSE );
    layout4->addWidget( DeleteNetworkRoutePushButton );
    layout5->addLayout( layout4 );

    ProfileNetworkRouteOptionsBaseLayout->addLayout( layout5, 0, 0 );
    languageChange();
    resize( QSize(402, 403).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( AddRoutePushButton, SIGNAL( clicked() ), this, SLOT( addNetworkRouteClicked() ) );
    connect( DeleteNetworkRoutePushButton, SIGNAL( clicked() ), this, SLOT( delNetworkRouteClicked() ) );
    connect( UseExtraNetworkRoutesCheckbox, SIGNAL( toggled(bool) ), this, SLOT( additionalNetworkRoutesToggled(bool) ) );
    connect( EditRoutePushButton, SIGNAL( clicked() ), this, SLOT( editNetworkRouteClicked() ) );
    connect( NetworkListView, SIGNAL( contextMenuRequested(QListViewItem*,const QPoint&,int) ), this, SLOT( contextMenuRequested(QListViewItem*,const QPoint&,int) ) );

    // tab order
    setTabOrder( UseExtraNetworkRoutesCheckbox, NetworkListView );
    setTabOrder( NetworkListView, AddRoutePushButton );
    setTabOrder( AddRoutePushButton, DeleteNetworkRoutePushButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileNetworkRouteOptionsBase::~ProfileNetworkRouteOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileNetworkRouteOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Network Route Options" ) );
    DefaultRouteComboBox->clear();
    DefaultRouteComboBox->insertItem( tr2i18n( "Keep default route" ) );
    DefaultRouteComboBox->insertItem( tr2i18n( "Replace default route" ) );
    UseExtraNetworkRoutesCheckbox->setText( tr2i18n( "&Use additional network routes" ) );
    UseExtraNetworkRoutesCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    NetworkListView->header()->setLabel( 0, tr2i18n( "Network" ) );
    NetworkListView->header()->setLabel( 1, tr2i18n( "Netmask" ) );
    NetworkListView->header()->setLabel( 2, tr2i18n( "Gateway" ) );
    NetworkListView->header()->setLabel( 3, tr2i18n( "Device" ) );
    QToolTip::add( NetworkListView, tr2i18n( "List of additional network routes" ) );
    EditRoutePushButton->setText( tr2i18n( "Edit &route..." ) );
    EditRoutePushButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( EditRoutePushButton, tr2i18n( "Add new route" ) );
    AddRoutePushButton->setText( tr2i18n( "Add &route..." ) );
    AddRoutePushButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( AddRoutePushButton, tr2i18n( "Add new route" ) );
    DeleteNetworkRoutePushButton->setText( tr2i18n( "De&lete" ) );
    DeleteNetworkRoutePushButton->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( DeleteNetworkRoutePushButton, tr2i18n( "Delete route" ) );
}

void ProfileNetworkRouteOptionsBase::additionalNetworkRoutesToggled(bool)
{
    qWarning( "ProfileNetworkRouteOptionsBase::additionalNetworkRoutesToggled(bool): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::addNetworkRouteClicked()
{
    qWarning( "ProfileNetworkRouteOptionsBase::addNetworkRouteClicked(): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::delNetworkRouteClicked()
{
    qWarning( "ProfileNetworkRouteOptionsBase::delNetworkRouteClicked(): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::editNetworkRouteClicked()
{
    qWarning( "ProfileNetworkRouteOptionsBase::editNetworkRouteClicked(): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::contextMenuRequested(QListViewItem*,const QPoint&,int)
{
    qWarning( "ProfileNetworkRouteOptionsBase::contextMenuRequested(QListViewItem*,const QPoint&,int): Not implemented yet" );
}

#include "profilenetworkrouteoptionsbase.moc"
