#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilepskoptionsbase.ui'
**
** Created: Sat Dec 27 15:12:17 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilepskoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klineedit.h"
#include "kurlrequester.h"
#include "kpushbutton.h"

/*
 *  Constructs a ProfilePskOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfilePskOptionsBase::ProfilePskOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfilePskOptionsBase" );
    ProfilePskOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfilePskOptionsBaseLayout"); 
    spacer38_3 = new QSpacerItem( 16, 51, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ProfilePskOptionsBaseLayout->addItem( spacer38_3, 0, 1 );

    layout21 = new QVBoxLayout( 0, 0, 6, "layout21"); 

    layout117 = new QHBoxLayout( 0, 0, 6, "layout117"); 

    LabelAuthType = new QLabel( this, "LabelAuthType" );
    layout117->addWidget( LabelAuthType );
    spacer23 = new QSpacerItem( 50, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout117->addItem( spacer23 );

    AuthTypeComboBox = new KComboBox( FALSE, this, "AuthTypeComboBox" );
    layout117->addWidget( AuthTypeComboBox );
    layout21->addLayout( layout117 );

    PskGroupBox = new QGroupBox( this, "PskGroupBox" );
    PskGroupBox->setColumnLayout(0, Qt::Vertical );
    PskGroupBox->layout()->setSpacing( 6 );
    PskGroupBox->layout()->setMargin( 11 );
    PskGroupBoxLayout = new QGridLayout( PskGroupBox->layout() );
    PskGroupBoxLayout->setAlignment( Qt::AlignTop );

    PSKLineEdit = new KLineEdit( PskGroupBox, "PSKLineEdit" );
    PSKLineEdit->setEnabled( TRUE );
    PSKLineEdit->setEchoMode( KLineEdit::Password );

    PskGroupBoxLayout->addMultiCellWidget( PSKLineEdit, 2, 2, 4, 5 );

    PSKFileURLRequester = new KURLRequester( PskGroupBox, "PSKFileURLRequester" );
    PSKFileURLRequester->setMinimumSize( QSize( 250, 0 ) );

    PskGroupBoxLayout->addMultiCellWidget( PSKFileURLRequester, 1, 1, 4, 5 );

    LabelPsk = new QLabel( PskGroupBox, "LabelPsk" );
    LabelPsk->setEnabled( TRUE );

    PskGroupBoxLayout->addWidget( LabelPsk, 2, 0 );
    spacer18 = new QSpacerItem( 118, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    PskGroupBoxLayout->addMultiCell( spacer18, 2, 2, 1, 3 );

    PskInFileCheckBox = new QCheckBox( PskGroupBox, "PskInFileCheckBox" );

    PskGroupBoxLayout->addMultiCellWidget( PskInFileCheckBox, 0, 0, 0, 2 );
    spacer38 = new QSpacerItem( 80, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    PskGroupBoxLayout->addItem( spacer38, 0, 3 );

    LabelPskFile = new QLabel( PskGroupBox, "LabelPskFile" );
    LabelPskFile->setEnabled( FALSE );

    PskGroupBoxLayout->addMultiCellWidget( LabelPskFile, 1, 1, 0, 1 );
    spacer37 = new QSpacerItem( 94, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    PskGroupBoxLayout->addMultiCell( spacer37, 1, 1, 2, 3 );

    CheckSavePsk = new QCheckBox( PskGroupBox, "CheckSavePsk" );

    PskGroupBoxLayout->addWidget( CheckSavePsk, 0, 4 );
    spacer30 = new QSpacerItem( 152, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    PskGroupBoxLayout->addItem( spacer30, 0, 5 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    UseSpecialRemoteIDcheckBox = new QCheckBox( PskGroupBox, "UseSpecialRemoteIDcheckBox" );
    layout7->addWidget( UseSpecialRemoteIDcheckBox );
    spacer25 = new QSpacerItem( 47, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer25 );

    PskGroupBoxLayout->addMultiCellLayout( layout7, 3, 3, 0, 3 );

    RemoteIDLineEdit = new KLineEdit( PskGroupBox, "RemoteIDLineEdit" );
    RemoteIDLineEdit->setEnabled( FALSE );
    RemoteIDLineEdit->setEchoMode( KLineEdit::Normal );

    PskGroupBoxLayout->addMultiCellWidget( RemoteIDLineEdit, 3, 3, 4, 5 );
    layout21->addWidget( PskGroupBox );
    spacer14 = new QSpacerItem( 21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout21->addItem( spacer14 );

    ProfilePskOptionsBaseLayout->addLayout( layout21, 0, 0 );
    languageChange();
    resize( QSize(484, 214).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PskInFileCheckBox, SIGNAL( toggled(bool) ), this, SLOT( pskIsInFileToggled(bool) ) );
    connect( UseSpecialRemoteIDcheckBox, SIGNAL( toggled(bool) ), this, SLOT( useSpecialRemoteIDToggled(bool) ) );

    // tab order
    setTabOrder( AuthTypeComboBox, PskInFileCheckBox );
    setTabOrder( PskInFileCheckBox, CheckSavePsk );
    setTabOrder( CheckSavePsk, PSKFileURLRequester );
    setTabOrder( PSKFileURLRequester, PSKLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfilePskOptionsBase::~ProfilePskOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfilePskOptionsBase::languageChange()
{
    setCaption( tr2i18n( "PSK" ) );
    LabelAuthType->setText( tr2i18n( "Authentication type:" ) );
    QToolTip::add( AuthTypeComboBox, tr2i18n( "Authentication type" ) );
    PskGroupBox->setTitle( tr2i18n( "Pre Shared Key (Cisco: Group Password)" ) );
    QToolTip::add( PskGroupBox, tr2i18n( "PSK options" ) );
    QToolTip::add( PSKLineEdit, tr2i18n( "Pre-shared key for authentication (shared secret)" ) );
    QToolTip::add( PSKFileURLRequester, tr2i18n( "File which contains Pre-shared key (shared secret)" ) );
    LabelPsk->setText( tr2i18n( "Pre shared key:" ) );
    PskInFileCheckBox->setText( tr2i18n( "&Load PSK from file" ) );
    PskInFileCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( PskInFileCheckBox, tr2i18n( "Pre-shared key (shared secret) is stored in a file (e.g. on a usbstick)" ) );
    LabelPskFile->setText( tr2i18n( "Pre shared key file:" ) );
    CheckSavePsk->setText( tr2i18n( "Sa&ve PSK" ) );
    CheckSavePsk->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( CheckSavePsk, tr2i18n( "Save Pre-shared key in config file (or in KWallet if available)" ) );
    UseSpecialRemoteIDcheckBox->setText( tr2i18n( "Use special &remote ID" ) );
    UseSpecialRemoteIDcheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( UseSpecialRemoteIDcheckBox, tr2i18n( "Use special ID for the remote side" ) );
    QToolTip::add( RemoteIDLineEdit, tr2i18n( "Special ID for remote side (rarely needed)" ) );
}

void ProfilePskOptionsBase::pskIsInFileToggled(bool)
{
    qWarning( "ProfilePskOptionsBase::pskIsInFileToggled(bool): Not implemented yet" );
}

void ProfilePskOptionsBase::useSpecialRemoteIDToggled(bool)
{
    qWarning( "ProfilePskOptionsBase::useSpecialRemoteIDToggled(bool): Not implemented yet" );
}

#include "profilepskoptionsbase.moc"
